gnome-shell (49~beta.1-0ubuntu1) questing; urgency=medium

  * New upstream release
  * d/p: Refresh
  * debian/control: Bump build dependencies
  * debian/patches: Cherry pick further upstream fixes
  * d/p: Fix include path for girepository headers

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 12 Aug 2025 04:56:37 +0200

gnome-shell (49~beta-0ubuntu1) questing; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * d/p: Refresh patches
  * d/control: Bump build dependencies
  * d/p: Refresh, dropping applied upstream
  * d/p: Keep support being started via legacy desktop file.
    With older gnome-session this is still required.
    Drop the patches as soon as gnome-session 49 will be ready for this.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 09 Aug 2025 04:13:57 +0200

gnome-shell (49~alpha.1-0ubuntu2) questing; urgency=medium

  * d/control: Drop dependency xserver-xorg-legacy

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 04 Aug 2025 16:02:00 +0200

gnome-shell (49~alpha.1-0ubuntu1) questing; urgency=medium

  * Merge with debian, containing a new upstream release
  * d/patches: Refresh
  * debian/rules: Update stylesheet regeneration script path
  * d/p/ubuntu-authd: Ensure that error messages are always shown on failure
  * d/p/ubuntu-authd: Fix handling of authentication switching for wait layouts
  * d/p/ubuntu-authd: Drop some delta with upstream and fix greeter buttons
  * d/p/ubuntu-authd: Move login options button to the leftmost side
  * d/p: Cleanup the yaru spinner patch

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 11 Jul 2025 06:16:31 +0200

gnome-shell (48.2-3) unstable; urgency=medium

  * Team upload
  * Adjust wording of previous changelog entry to reflect that gnome-music
    is still installed by default
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Thu, 12 Jun 2025 21:08:12 +0100

gnome-shell (48.2-2) experimental; urgency=medium

  * Team upload
  * Summarize upstream changes in previous changelog entry
  * d/gnome-shell.gsettings-override: Update default pinned apps for trixie.
    The pinned (favourite) apps appear in the Dash (the bottom panel),
    instead of appearing in the main app grid.
    This file is a Debian-specific override for upstream's default list.
    The changes compared with previous versions in Debian:
    - Remove Rhythmbox. We no longer recommend a specific music player for
      GNOME; users are welcome to install Amberol, GNOME Music, Lollypop,
      Rhythmbox or any other music player of their choice.
    - Remove LibreOffice Writer. Pinned apps don't appear in the app grid,
      and it seems inconsistent to have Writer in the Dash (and not the
      app grid) but every other LibreOffice component such as Calc in the
      app grid (not the dash).
    - Add gnome-text-editor, matching upstream.
    - Add gnome-calculator, matching upstream.
    The changes compared with upstream:
    - Replace Epiphany (GNOME Web) with Firefox ESR, matching what we
      install by default
    - Replace GNOME Calendar with Evolution
    - Add Yelp (GNOME Help)
    This doesn't necessarily have any effect for existing users:
    if the user has pinned or unpinned an app at least once, once,
    then their list of pinned apps is saved and will be unaffected
    by this override. Please test with a completely new installation,
    a newly-created test user, or a user with an empty home directory.
    (Closes: #1099579)
  * d/patches: Move im-config from main app grid to the System folder,
    as requested by Jeremy Bícha on #1099579.
    A known issue is that this only has an effect for completely new
    installations or newly-created users: if the user has logged in at
    least once, then their app -> folder mapping is saved, even if they
    never explicitly modified it.

 -- Simon McVittie <smcv@debian.org>  Tue, 10 Jun 2025 14:16:06 +0100

gnome-shell (48.2-1) experimental; urgency=medium

  * New upstream bugfix release
    - Track screen-time for the Wellbeing feature correctly across
      suspend/resume, not counting time spent suspended as screen time
      (Closes: #1104630; gnome-shell!3707 upstream)
    - Check for surrounding text before enabling that capability
      (mutter#3102, gnome-shell!3666 upstream)
    - Fix a crash that can occur during startup when an extension is
      updated
      (gnome-shell#8417 upstream)
    - Fix a regression that broke the ability to run commands in
      terminals via: Alt+F2, <command>, Ctrl+Enter
      (gnome-shell#7516 upstream)
    - Fix VPN toggle in system menu not working when clicking the switch
      (gnome-shell#8204 upstream)
    - Always close folders when clicking outside them
      (gnome-shell#7541 upstream)
    - Add comments to give context for translators
      (gnome-shell!3716 upstream)
    - Translation updates: ro

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Jun 2025 13:32:38 -0400

gnome-shell (48.1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 13:38:58 -0400

gnome-shell (48.0-1ubuntu2) questing; urgency=medium

  * d/p/authd: Notify messages on authentication Next too

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 26 May 2025 14:46:39 +0200

gnome-shell (48.0-1ubuntu1) plucky; urgency=medium

  * Merge with Debian

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Mar 2025 09:15:46 -0400

gnome-shell (48.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum mutter

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Mar 2025 09:15:07 -0400

gnome-shell (48~rc-2ubuntu5) plucky; urgency=medium

  * d/p/authd: Update generated proto files to match new protocol

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 21 Mar 2025 01:48:18 +0100

gnome-shell (48~rc-2ubuntu4) plucky; urgency=medium

  * d/p/ubuntu-authd: Update authd authentication to support latest protocol
  * debian/control: Add breaks on authd << 0.4.2~

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 21 Mar 2025 01:06:46 +0100

gnome-shell (48~rc-2ubuntu3) plucky; urgency=medium

  * d/p: Use native accent colors instead of yaru flavored stylesheets
  * d/p: Drop patch to use CSS foreground for highlighted text
  * d/p: Use yaru accent colors when yaru is used
  * d/p: Optimize yaru accent colors for contrast
  * debian/control: Bump recommends on yaru-theme-gnome-shell 25.04

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 14 Mar 2025 07:21:56 +0100

gnome-shell (48~rc-2ubuntu2) plucky; urgency=medium

  * Disable startup sound by default: it can be re-enabled
    in Settings > Sound > Startup Sound

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Mar 2025 10:55:46 -0400

gnome-shell (48~rc-2ubuntu1) plucky; urgency=medium

  * Merge with Debian
  * Remove 2 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 12:11:37 -0500

gnome-shell (48~rc-2) unstable; urgency=high

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 11:25:50 -0500

gnome-shell (48~rc-1) experimental; urgency=medium

  * Team upload
  * New upstream release candidate
    - In particular, when combined with mutter 48~rc, this version avoids
      an issue where the visible cursor position in GTK 4 apps does not
      match the position where clicks will be applied
  * Refresh patch series
  * Bump mutter dependency to 48~rc as per meson.build
  * d/gnome-shell-common.install: Install the new System directory
  * Standards-Version: 4.7.2 (no changes required)
  * Release to experimental to avoid disrupting the gnome-shell/mutter
    transition

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Mar 2025 11:23:09 +0000

gnome-shell (48~beta-4) unstable; urgency=medium

  * Release to unstable (Closes: #1098719)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Mar 2025 05:40:03 -0500

gnome-shell (48~beta-3ubuntu1) plucky; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Merge with debian
  * debian/salsa-ci: Use ubuntu recipes
  * debian/patches/ubuntu-authd: Rebase as per upstream changes

  [ Daniel van Vugt ]
  * Add missing import to the magnifier patch (LP: #2098745)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 22 Feb 2025 05:54:30 +0100

gnome-shell (48~beta-3) experimental; urgency=medium

  * debian/control: Set both upper and lower bounds for gnome-shell-common
    dependency.
  * debian/control: Remove dependency on gnome-shell-common from prefs.
    The tool has already a strict dependency on gnome-shell, that depends on
    gnome-shell-common, so no reason to handle that
  * Revert "d/c: Don't depend on exact versions of gnome-shell-common"
    gnome-shell-common contains the Javascript code that consumes the
    typelib and the APIs that are defined in the libraries that gnome-shell
    package provides, so the dependency should be strict on the version,
    since even a point release may expose a new internal API that then the
    javascript code consumes. (LP: #2098654)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 21 Feb 2025 12:17:50 +0100

gnome-shell (48~beta-2) experimental; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Set Salsa CI release to Experimental

  [ Alessandro Astone ]
  * Depend on gnome-shell-common >= 48~.
    The interfaces need to match (Closes: #1096064, LP: #2098453)

  [ Simon McVittie ]
  * Remove an obsolete Lintian override
  * Adjust patch metadata to mark some patches as forwarded
  * Adjust some patch metadata to use DEP-3 representation for upstream bugs

 -- Simon McVittie <smcv@debian.org>  Sat, 15 Feb 2025 16:47:57 +0000

gnome-shell (48~beta-1ubuntu1) plucky; urgency=medium

  * Merge with Debian
  * Refresh patches
  * Temporarily disable authd patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 11 Feb 2025 22:17:37 -0500

gnome-shell (48~beta-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum gdm3, gsettings-desktop-schemas & mutter
  * Have gnome-shell-common install X-GNOME-Shell-Utilities.directory

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Feb 2025 08:30:06 -0500

gnome-shell (47.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 16 Jan 2025 17:40:28 -0500

gnome-shell (47.2-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add Depends: gjs for screen lock keyboard shortcut (Closes: #1089745)

  [ Simon McVittie ]
  * d/salsa-ci.yml: Use recommended recipe

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 13 Dec 2024 19:00:26 -0500

gnome-shell (47.2-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release

  [ Daniel van Vugt ]
  * Restore st-theme-node-Forget-properties-cache-on-stylesheet-chang.patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 14:12:49 -0500

gnome-shell (47.1-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 06 Nov 2024 15:05:15 +0000

gnome-shell (47.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * d/upstream/metadata: Canonicalize case of repository URL
  * Refresh patch series.
    Drop "status/keyboard: Fix execution order when activating source"
    which was fixed differently after upstream review.

 -- Simon McVittie <smcv@debian.org>  Wed, 30 Oct 2024 10:52:18 +0000

gnome-shell (47.0-3) unstable; urgency=medium

  * Release to unstable (Closes: #1060684)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Oct 2024 19:14:09 -0400

gnome-shell (47.0-2ubuntu3.1) plucky; urgency=medium

  * No-change upload to plucky

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 22 Oct 2024 11:38:25 +0200

gnome-shell (47.0-2ubuntu3) oracular; urgency=medium

  * d/p: Fix toggling lockscreen view using Escape (LP: #2084308)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 12 Oct 2024 04:57:30 +0200

gnome-shell (47.0-2ubuntu2) oracular; urgency=medium

  * d/p/ubuntu/secure-mode-extension: Return null on invalid extension.
    The upstream code checks whether the returned extension is null, not
    undefined, so we may end up returning an accepted values that will fail
    later when parsing the extension content (LP: #2083615)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 03 Oct 2024 16:55:49 +0200

gnome-shell (47.0-2ubuntu1) oracular; urgency=medium

  [ Alessandro Astone ]
  * Merge with Debian (LP: #2081646). Remaining changes:
    - Add Build-Depends: terser (for authd)
    - Add Depends: ubuntu-wallpapers
    - Add Recommends:
      + ubuntu-session (| gnome-session) to have the Ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default Ubuntu theming
    - Move from Recommends to Suggests: gnome-browser-connector
    - debian/gnome-shell-common.alternatives: Install tweaked GDM theme
    - Add debian/ubuntu-session-mods/ubuntu.json & install it with
      gnome-shell-common
    - Add many ubuntu-specific patches
    - Add patches to support authd authentication in GDM

  [ Robert Malz ]
  * d/p: Fix default service discovery (LP: #2065432)

  [ Marco Trevisan (Treviño) ]
  * d/p/appMenu-snap-store-details: Activate snap store app on click
    (LP: #2081716)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 02 Oct 2024 01:58:19 +0200

gnome-shell (47.0-2) experimental; urgency=medium

  * Update gnome-browser-connector binary package name
  * Cherry-pick proposed patch to fix login screen crash if
    on-screen keyboard is enabled (Closes: #1082297)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Sep 2024 08:46:12 -0400

gnome-shell (47.0-1ubuntu2) oracular; urgency=medium

  * d/p: Show app details menu for snap applications

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 16 Sep 2024 23:58:16 +0200

gnome-shell (47.0-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add Build-Depends: terser (for authd)
    - Add Depends: ubuntu-wallpapers
    - Add Recommends:
      + ubuntu-session (| gnome-session) to have the Ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default Ubuntu theming
    - Move from Recommends to Suggests: chrome-gnome-shell
    - debian/gnome-shell-common.alternatives: Install tweaked GDM theme
    - Add debian/ubuntu-session-mods/ubuntu.json & install it with
      gnome-shell-common
    - Add many patches
  * Remove patch applied in new release
  * Refresh patches
  * Update gnome-browser-connector binary package name

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 07:49:10 -0400

gnome-shell (47.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Bump minimum mutter and gnome-settings-daemon

  [ Daniel van Vugt ]
  * Add shell-app-Warn-instead-of-crashing-if-disposed-before-sta.patch
    to avoid crashing the shell if an app misbehaves coincidentally close
    to a garbage collection run (LP: #2037055)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 14 Sep 2024 21:16:08 -0400

gnome-shell (47~rc-3ubuntu2) oracular; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * d/p/ubuntu-authd: Define the service name just once
  * d/p/pwa: Fix handling of non-sandboxed apps, or invalid apps.

  [ Nathan Pratta Teodosio ]
  * Add chromium-snap-pwa.patch:
    Fixes tab and dock grouping of progressive web applications
    for the Chromium snap (LP: #2007652).

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 16 Sep 2024 11:44:24 +0200

gnome-shell (47~rc-3ubuntu1) oracular; urgency=medium

  [ Jeremy Bícha ]
  * Merge with Debian. Remaining changes:
    - Add Build-Depends: terser (for authd)
    - Add Depends: ubuntu-wallpapers
    - Add Recommends:
      + ubuntu-session (| gnome-session) to have the Ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default Ubuntu theming
    - Move from Recommends to Suggests: chrome-gnome-shell
    - debian/gnome-shell-common.alternatives: Install tweaked GDM theme
    - Add debian/ubuntu-session-mods/ubuntu.json & install it with
      gnome-shell-common
    - Add many patches

  [ Marco Trevisan (Treviño) ]
  * d/p: Ensure PAM messages are fully notified on failures
  * d/p/ubuntu-authd: Improve notification of authentication error messages.
    Ensure that messages are visible enough time for the user being able to
    read them.
  * d/p/ubuntu-authd: Cleanup patches so that they're split more correctly.
    No final content change
  * d/p/ubuntu-authd: Improve theming and consistence of the login auth list
    items

  [ Daniel van Vugt ]
  * Add shell-app-Warn-instead-of-crashing-if-disposed-before-sta.patch
    to avoid crashing the shell if an app misbehaves coincidentally close
    to a garbage collection run (LP: #2037055)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 11 Sep 2024 03:47:31 +0200

gnome-shell (47~rc-3) experimental; urgency=medium

  * Disable the portal helper popup window and use the notification/browser
    method instead. Hardening related to CVE-2024-36472 (Closes: #1072124)
  * Drop now unused Depends: gir1.2-webkit-6.0
  * Bump minimum gsettings-desktop-schemas

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Sep 2024 14:08:52 -0400

gnome-shell (47~rc-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Transitional gnome-shell-extensions-prefs tool is no longer provided
  * Build with mutter 47 RC
  * Add Build-Depends: pipewire for build tests
  * Manpages are built with rst2man instead of a2x
  * Refresh patches

  [ Daniel van Vugt ]
  * debian/control: Don't depend on exact versions of gnome-shell-common

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Sep 2024 12:07:18 -0400

gnome-shell (47~beta-1ubuntu2) oracular; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * d/p: Update accent color patches to support new accent-color key
  * d/p/ubuntu: Add support for brown accent color
  * d/p/ubuntu: Add support for playing a startup sound
  * debian/control: Bump dependency on desktop schemas 47~beta-1ubuntu2

  [ Jeremy Bícha ]
  * Disable the portal helper popup window and use the notification/browser
    method instead. Hardening related to CVE-2024-36472
  * Drop now unused Depends: gir1.2-webkit-6.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 15 Aug 2024 09:48:11 -0400

gnome-shell (47~beta-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add Build-Depends: terser (for authd)
    - Add Depends: ubuntu-wallpapers
    - Add Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move from Recommends to Suggests: chrome-gnome-shell
    - debian/gnome-shell-common.alternatives: Install tweaked GDM theme
    - Add debian/ubuntu-session-mods/ubuntu.json & install it with
      gnome-shell-common
    - Add many patches
  * Refresh patches
  * Disable Yaru accent color patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 20:30:40 -0400

gnome-shell (47~beta-1) experimental; urgency=medium

  * New upstream release
  * Update tray-offscreen-xwindows patches & move to separate patch topic
  * Bump minimum mutter & gsettings-desktop-schemas

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Aug 2024 12:39:55 -0400

gnome-shell (46.4-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add Build-Depends: terser (for authd)
    - Add Depends: ubuntu-wallpapers
    - Add Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move from Recommends to Suggests: chrome-gnome-shell
    - debian/gnome-shell-common.alternatives: Install tweaked GDM theme
    - Add debian/ubuntu-session-mods/ubuntu.json & install it with
      gnome-shell-common
    - Add many patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Aug 2024 11:27:44 -0400

gnome-shell (46.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 04 Aug 2024 16:35:07 -0400

gnome-shell (46.3.1-4) unstable; urgency=medium

  * Skip the shell tests on riscv64
  * Bump Standards-Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 Aug 2024 21:40:18 -0400

gnome-shell (46.3.1-3) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Switch gnome-control-center from Recommends to Depends
  * Remove Recommends: gnome-backgrounds (Closes: #1077738)
  * Revert "Skip shell build tests for now since they are flaky"

  [ Simon McVittie ]
  * d/control: Explicitly version various dependencies as per meson.build:
    GLib 2.80, Gcr 3.90, NM 1.10.4, Pipewire 0.3.49
  * d/control: Remove version constraints unnecessary since bullseye
    (oldstable)
  * d/control: Remove obsolete Breaks/Replaces on pre-3.36 versions,
    unnecessary since bullseye (oldstable)
  * Make the source package cross-compilable:
    - d/control: Explicitly depend on gir1.2-*-dev where required
    - d/control: Build-Depend on gobject-introspection (>= 1.80)
      instead of libgirepository1.0-dev
    - d/rules: Opt-in to cross-friendly gobject-introspection
      (workaround for #1060838)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 Aug 2024 13:55:54 -0400

gnome-shell (46.3.1-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Jul 2024 18:29:07 -0400

gnome-shell (46.3.1-1ubuntu1) oracular; urgency=medium

  * Merge with Debian
  * debian/patches: Refresh
  * d/p/ubuntu-authd: Add custom button to the qrcode view and automatic ack.
    Do not require manual intervention to dismiss the qrcode view and start
    the qrcode authentication, and support regenerating the qrcode using
    a custom button (LP: #2072710, #2072711)
  * d/p/ubuntu-authd: Add support for showing the login code in the qrcode view
    (LP: #2072714)
  * d/p/ubuntu-authd: Cleanup prompt view when changing auth mode.
    When switching from an auth mode to another we need to hide the uneeded
    items and cleanup the messages, do it so that switching form password
    auth, to a field-less view works as expected (LP: #2072718)
  * d/p/ubuntu-authd: Fix key navigation on choice list and waiting items.
    Make possible to use key-navigation automatically when such views are
    shown (LP: #2072716)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 15 Jul 2024 15:08:36 +0200

gnome-shell (46.3.1-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release (LP: #2072703)
  * debian/control: Remove unused dependencies, following upstream.
    Upstream meson.build removed various unused dependencies, so drop them
    from our control file too
  * d/p: Do not make tray icons to take any input event directly.
    This is all handled through their actor proxy representation (LP: #2012388)
  * d/p: Resize tray icon windows to respect their actor representation
    (LP: #2012388)
  * debian/changelog: Reference bugs fixed in previous versions

  [ Daniel van Vugt ]
  * Add st-theme-node-Forget-properties-cache-on-stylesheet-chang.patch.
    To fix crashes that occur when locking the screen from within the overview.
    But more generally can occur whenever any extension that modifies
    stylesheets (like ubuntu-dock or dash-to-dock) is unloaded (LP: #2069559).

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 11 Jul 2024 00:02:12 +0200

gnome-shell (46.2-1ubuntu4) oracular; urgency=medium

  * Add st-theme-node-Forget-properties-cache-on-stylesheet-chang.patch
    to fix crashes that occur when locking the screen from within the overview.
    But more generally can occur whenever any extension that modifies
    stylesheets (like ubuntu-dock or dash-to-dock) is unloaded (LP: #2069559).

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 03 Jul 2024 14:37:10 +0800

gnome-shell (46.2-1ubuntu3) oracular; urgency=medium

  * d/p/ubuntu-authd: Revert unwanted change causing ibus not to launch
    (LP: #2069381)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 14 Jun 2024 06:45:11 +0200

gnome-shell (46.2-1ubuntu2) oracular; urgency=medium

  * debian/patches/ubuntu-authd: Properly handle new-password messages requests
    (LP: #2068080)
  * d/p/ubuntu-authd: Add translatable js files to POTFILES.in (LP: #2068912)
  * d/p: Do not call unsafe functions when spawning new processes (LP: #2019776)
  * d/p: Resize tray icon windows to respect their actor representation
    (LP: #2012388)
  * d/p: Do not make tray icons to take any input event directly (LP: #2012388)
  * debian/patches/ubuntu-authd: Properly handle new-password messages requests
    (LP: #2068080)
  * d/p/ubuntu-authd: Add translatable js files to POTFILES.in (LP: #2068912)
  * d/p: Do not call unsafe functions when spawning new processes (LP: #2019776)
  * d/p: Resize tray icon windows to respect their actor representation
    (LP: #2012388)
  * d/p: Do not make tray icons to take any input event directly (LP: #2012388)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 14 Jun 2024 05:47:07 +0200

gnome-shell (46.2-1ubuntu1) oracular; urgency=medium

  [ Jeremy Bícha ]
  * Merge with Debian
  * Refresh patches

  [ Marco Trevisan (Treviño) ]
  * debian/patches/ubuntu-authd: Properly draw qr-codes for longer URIs
    (LP: #2067610)
  * debian/patches/ubuntu-authd: Fix dialog text color when using light theme
    (LP: #2067661)
  * debian/patches/ubuntu-authd: Use right colors to draw the QR code in
    light mode (LP: #2067661)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 31 May 2024 07:14:43 -0400

gnome-shell (46.2-1) experimental; urgency=medium

  * New upstream release:
    - Exclude override-redirect windows from workspace animation (LP: #2039543)
    - Fix possible hang on startup during ibus-daemon launch (LP: #2019776)
    - Use absolute tray icon position in root event coordinates (LP: #2059819)
  * Drop screencast patch applied in new release
  * Drop revert tecla patch: no longer needed
  * Add Depends: tecla. Drop Recommends: gkbd-capplet

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 31 May 2024 08:03:22 -0400

gnome-shell (46.1-1ubuntu1) oracular; urgency=medium

  * Merge with Debian
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 13 May 2024 15:38:15 +0200

gnome-shell (46.1-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum gir1.2-glib-2.0 to 2.80 (LP: #2065587)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 13 May 2024 15:32:04 +0200

gnome-shell (46.0-2) experimental; urgency=high

  * Team upload
  * d/p/screencast-Correct-expected-bus-name-for-streams.patch:
    Avoid screencast regression after fixing CVE-2024-34397.
    Previously, screencasting expected signals to come from the wrong
    D-Bus name, which only worked because there was a vulnerability in
    GLib that resulted in the sender being ignored.
  * Set urgency=high because this fixes a regression triggered by a
    security fix.

 -- Simon McVittie <smcv@debian.org>  Tue, 07 May 2024 11:32:22 +0100

gnome-shell (46.0-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum mutter to 46.0
  * Bump minimum gsettings-desktop-schemas
  * Build-Depend on libgtk-3-dev
  * debian/gnome-shell.install: GNOME Shell no longer provides
    xdg-desktop-portal components
  * Skip shell build tests for now since they are flaky
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 19 Mar 2024 15:36:16 -0400

gnome-shell (46.0-0ubuntu5.1) noble-security; urgency=medium

  * Fix compatibility with glib2.0 security update
    - debian/patches/correct_expected_bus_name.patch: correct expected bus
      name for streams in js/dbusServices/screencast/screencastService.js.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 07 May 2024 17:03:32 -0400

gnome-shell (46.0-0ubuntu5) noble; urgency=medium

  [ Daniel van Vugt ]
  * Drop loginDialog-Create-footer-container.patch - it's buggy and still
    under active development (LP: #2060893)

  [ Marco Trevisan (Treviño) ]
  * debian/patches/ubuntu-authd: Hide the right button if there are no
    sessions to choose (LP: #2061153)
  * debian/patches/ubuntu-authd: Do not start an unavailable authentication
    service (LP: #2060575)
  * d/p/ubuntu-authd: Fix selection of multi-factor auth modes (related to
    lp:2060546)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 17 Apr 2024 07:45:42 +0200

gnome-shell (46.0-0ubuntu4) noble; urgency=medium

  * debian/changelog: Add missing 46.0-0ubuntu3 changelog
  * debian/patches/ubuntu-authd: Handle various races on cancellation

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 08 Apr 2024 02:31:14 +0200

gnome-shell (46.0-0ubuntu3.1) noble; urgency=medium

  * debian/patces/gdm: Update gdm login notification to current API
  * debian/patches/authd: Cleanup code and fix mechanism switch handling

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 02 Apr 2024 01:03:41 +0200

gnome-shell (46.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild for mutter ABI changes on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 25 Mar 2024 19:27:16 +0100

gnome-shell (46.0-0ubuntu2) noble; urgency=medium

  * Add again patches that were uploaded as part of 46~beta-0ubuntu3 and that
    got overwritten:
    - debian/patches: Add support for ubuntu authd gdm interface
    - debian: Build depend on terser and minify authd protocol
    - debian/rules: Regenerate the css files before building
    - debian/patches/ubuntu-authd: Add a gsettings to disable the gdm support
  * debian/changelog: Update with contents of the lost changes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 22 Mar 2024 10:16:01 +0100

gnome-shell (46.0-0ubuntu1) noble; urgency=medium

  * New upstream release
  * Bump minimum mutter to 46.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Mar 2024 17:23:29 -0400

gnome-shell (46~rc-0ubuntu1) noble; urgency=medium

  * New upstream release
  * Bump minimum mutter to 46~rc
  * Drop fingerprint patch applied in new release
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Mar 2024 17:27:34 -0500

gnome-shell (46~beta-0ubuntu3) noble; urgency=medium

  * debian/patches: Cherry-pick upstream fixes for fingerprint authentication
  * debian/patches: Add support for ubuntu authd - authentication daemon
  * debian: Build depend on terser and minify authd protocol
  * debian/rules: Regenerate the css files before building
  * debian/patches/ubuntu-authd: Add a gsettings to disable the gdm support

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 29 Feb 2024 23:48:54 +0100

gnome-shell (46~beta-0ubuntu2) noble; urgency=medium

  * Build-Depend on libgtk-3-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 29 Feb 2024 00:08:24 -0500

gnome-shell (46~beta-0ubuntu1) noble; urgency=medium

  * New upstream release
  * Refresh patches
  * Build with gcr4
  * Bump minimum mutter to 46~beta
  * Bump minimum gsettings-desktop-schemas
  * debian/gnome-shell.install: GNOME Shell no longer provides
    xdg-desktop-portal components
  * Skip shell build tests for now since they are flaky

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Feb 2024 23:51:36 -0500

gnome-shell (45.3-2) experimental; urgency=medium

  * Merge packaging changes from unstable
    - Build-depend on systemd-dev instead of systemd (Closes: #1060607)
    - Adjust Lintian overrides
    - All other changes were included in 45.3-1

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jan 2024 17:46:37 +0000

gnome-shell (45.3-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + ubuntu-wallpapers
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move some Recommends to Suggests:
      + chrome-gnome-shell
      + gnome-backgrounds
    - Update debian/gbp.conf with Ubuntu settings
    - Add debian/ubuntu-session-mods/ubuntu.json
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch,
    - ubuntu/darkMode-Add-support-to-Yaru-theme-color-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/shell-global-util-Do-not-move-snap-apps-to-gnome-apps-sco.patch
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Jan 2024 15:28:52 -0500

gnome-shell (44.9-2) unstable; urgency=high

  * Team upload
  * d/p/screencast-Correct-expected-bus-name-for-streams.patch:
    Avoid screencast regression after fixing CVE-2024-34397.
    Previously, screencasting expected signals to come from the wrong
    D-Bus name, which only worked because there was a vulnerability in
    GLib that resulted in the sender being ignored.
  * Set urgency=high because this fixes a regression triggered by a
    security fix.

 -- Simon McVittie <smcv@debian.org>  Mon, 06 May 2024 22:41:00 +0100

gnome-shell (44.9-1) unstable; urgency=medium

  * New upstream release
  * Build with gcr4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 16:47:08 -0500

gnome-shell (44.8-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Request the intended height for StBin (gnome-shell!3043)
    - Fix a crash if an extension incorrectly attempts to add/remove
      an empty style class (gnome-shell#7152)
    - Allow edge fade to be removed from scroll views (gnome-shell!3047)
    - Don't hide the overlay while hovering over a window preview's icon
      (gnome-shell!3049)
    - Fix warnings during Shell exit (gnome-shell#7132, gnome-shell!3064)

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jan 2024 13:49:59 +0000

gnome-shell (44.7-2) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Stop using debian/control.in and dh_gnome_clean
  * Drop evolution .desktop lintian override: not needed since 44

  [ Simon McVittie ]
  * Build-depend on systemd-dev instead of systemd (Closes: #1060607)
  * d/gnome-shell.lintian-overrides: Remove unused override
  * d/gnome-shell.lintian-overrides: Tidy up whitespace
  * d/g-s-common.lintian-overrides: /usr/share/g-s/modes is intentionally
    empty

 -- Simon McVittie <smcv@debian.org>  Sun, 14 Jan 2024 19:32:07 +0000

gnome-shell (45.3-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Jan 2024 15:28:09 -0500

gnome-shell (45.2-2) experimental; urgency=medium

  * Merge with version 44.7-1 from unstable

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Dec 2023 15:09:38 +0000

gnome-shell (45.2-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + ubuntu-wallpapers
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move some Recommends to Suggests:
      + chrome-gnome-shell
      + gnome-backgrounds
    - Update debian/gbp.conf with Ubuntu settings
    - Add debian/ubuntu-session-mods/ubuntu.json
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch,
    - ubuntu/darkMode-Add-support-to-Yaru-theme-color-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/shell-global-util-Do-not-move-snap-apps-to-gnome-apps-sco.patch
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Dec 2023 10:20:07 -0500

gnome-shell (45.2-1) experimental; urgency=medium

  * New upstream release (LP: #2045667)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Dec 2023 10:15:19 -0500

gnome-shell (44.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/p/overview-Handle-unredirection-in-OverviewShown-state-mach.patch:
    Drop a patch that was included in the upstream release

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Dec 2023 13:30:06 +0000

gnome-shell (45.1-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + ubuntu-wallpapers
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move some Recommends to Suggests:
      + chrome-gnome-shell
      + gnome-backgrounds
    - Update debian/gbp.conf with Ubuntu settings
    - Add debian/ubuntu-session-mods/ubuntu.json
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch,
    - ubuntu/darkMode-Add-support-to-Yaru-theme-color-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/shell-global-util-Do-not-move-snap-apps-to-gnome-apps-sco.patch
  * Drop 2 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Nov 2023 15:34:45 +0200

gnome-shell (45.1-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release (LP: #2043015)
  * Stop using debian/control.in and dh_gnome_clean

  [ Simon McVittie ]
  * Merge with version 44.5-2 from unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Nov 2023 15:31:57 +0200

gnome-shell (45.0-1ubuntu2) mantic; urgency=medium

  * Cherry-pick 2 commits from future 45.1:
    - Fix crash at shutdown (LP: #2036889)
    - Fix indefinite inhibition of direct scanout when closing the Overview

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 03 Oct 2023 14:16:54 -0400

gnome-shell (45.0-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + ubuntu-wallpapers
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move some Recommends to Suggests:
      + chrome-gnome-shell
      + gnome-backgrounds
    - Update debian/gbp.conf with Ubuntu settings
    - Add debian/ubuntu-session-mods/ubuntu.json
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch,
    - ubuntu/darkMode-Add-support-to-Yaru-theme-color-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/shell-global-util-Do-not-move-snap-apps-to-gnome-apps-sco.patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 11:22:07 -0400

gnome-shell (45.0-1) experimental; urgency=medium

  * New upstream release
    - Fix exposing window previews on lock screen via keyboard shortcuts
      (Closes: #1052067, CVE-2023-43090, gnome-shell#6990)
  * Bump minimum mutter to 45.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 11:01:45 -0400

gnome-shell (45~rc-1) experimental; urgency=medium

  * New upstream release
  * Build with mutter 45 rc
  * debian/control.in: Don't Build-Depend on gtk3
  * debian/control.in: Depend on gir1.2-webkit-6.0 instead of 4.1
  * debian/gnome-shell.install: gnome-shell-perf-tool -> gnome-shell-test-tool
  * debian/rules: Drop obsolete configure flag
  * Add patch to avoid using Tecla because it isn't ready yet
  * Drop patch applied in new release
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 10 Sep 2023 21:19:28 -0400

gnome-shell (45~rc-0ubuntu3) mantic; urgency=medium

  * Restore dark mode patch accidentally dropped when packaging 45
    (LP: #2035036)
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 10 Sep 2023 15:59:19 -0400

gnome-shell (45~rc-0ubuntu2) mantic; urgency=medium

  * Update magnifier sprite scaling patch with latest version proposed upstream

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 09 Sep 2023 11:17:39 -0400

gnome-shell (45~rc-0ubuntu1) mantic; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum mutter to 45~rc
  * Drop cherry-picked patches applied in new release
  * Refresh patches
  * Add patch to avoid using Tecla because it isn't ready here yet

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Sep 2023 15:34:13 -0400

gnome-shell (45~beta.1-0ubuntu2) mantic; urgency=medium

  [ Jeremy Bícha ]
  * Don't Build-Depend on gtk3
  * debian/control.in: Depend on gir1.2-webkit-6.0 instead of 4.1

  [ Marco Trevisan (Treviño) ]
  * debian/ubuntu.json: Prefer light color scheme
  * debian/patches: Cherry-pick patches from upstream main branch
  * debian/control: Recommends more recent version of yaru theme

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 28 Aug 2023 23:49:34 +0200

gnome-shell (45~beta.1-0ubuntu1) mantic; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Build with mutter 45 beta
  * debian/rules: Drop obsolete configure flag
  * debian/gnome-shell.install: gnome-shell-perf-tool -> gnome-shell-test-tool
  * Refresh patches
  * Drop patch to use "Favorite" instead of "Pin"

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Make desktop detection to work with ESM modules
  * debian/patches: Handle loading of multiple yaru variants again
  * debian/patches: Cherry-pick various upstream fixes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 18 Aug 2023 01:12:53 +0200

gnome-shell (44.5-2) unstable; urgency=medium

  * Team upload
  * d/patches: Update to upstream gnome-44 branch commit 44.5-1-g958616fd1
    - d/p/overview-Handle-unredirection-in-OverviewShown-state-mach.patch:
      Improve performance for most full-screen applications by ensuring
      that a fast-path for them stays enabled (mutter#2994)

 -- Simon McVittie <smcv@debian.org>  Wed, 27 Sep 2023 14:11:21 +0100

gnome-shell (44.5-1) unstable; urgency=high

  * Team upload
  * New upstream release
    - Fix exposing window previews on lock screen via keyboard shortcuts
      (Closes: #1052067, CVE-2023-43090, gnome-shell#6990)
    - Improve handling of latched vs. locked modes in on-screen keyboard
      (gnome-shell#5763)
    - Reverse slider direction in RTL locales (gnome-shell#5107)
    - Add missing environment variables required to launch ibus-daemon
      (gnome-shell#6998)
    - Translation updates

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Sep 2023 13:50:52 +0100

gnome-shell (44.4-1) unstable; urgency=medium

  * New upstream release
  * Drop 5 patches applied in new release
  * debian/gbp.conf, debian/watch: Branch for trixie

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 11:13:37 -0400

gnome-shell (44.3-1ubuntu1) mantic; urgency=medium

  * Merge with Debian (LP: #2026586). Remaining changes:
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + ubuntu-wallpapers
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move some Recommends to Suggests:
      + chrome-gnome-shell
      + gnome-backgrounds
    - Update debian/gbp.conf with Ubuntu settings
    - debian/ubuntu-session-mods/ubuntu.json: Use Yaru's gnome-shell icons
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch,
    - ubuntu/darkMode-Add-support-to-Yaru-theme-color-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/Revert-dash-Use-pin-instead-of-favorites
    - ubuntu/shell-global-util-Do-not-move-snap-apps-to-gnome-apps-sco.patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 07 Jul 2023 09:33:58 -0400

gnome-shell (44.3-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 07 Jul 2023 09:32:03 -0400

gnome-shell (44.2-1ubuntu1) mantic; urgency=medium

  * Merge with Debian (LP: #2022961). Remaining changes:
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + ubuntu-wallpapers
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move some Recommends to Suggests:
      + chrome-gnome-shell
      + gnome-backgrounds
    - Update debian/gbp.conf with Ubuntu settings
    - debian/ubuntu-session-mods/ubuntu.json: Use Yaru's gnome-shell icons
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch,
    - ubuntu/darkMode-Add-support-to-Yaru-theme-color-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/Revert-dash-Use-pin-instead-of-favorites
    - ubuntu/shell-global-util-Do-not-move-snap-apps-to-gnome-apps-sco.patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Jun 2023 12:59:17 -0400

gnome-shell (44.2-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum mutter to 44.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Jun 2023 12:58:02 -0400

gnome-shell (44.1-1ubuntu1) mantic; urgency=medium

  * Merge with Debian (LP: #2020277, LP: #1968383, LP: #1968390, LP: #2016007)
  * Remaining changes:
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + ubuntu-wallpapers
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move some Recommends to Suggests:
      + chrome-gnome-shell
      + gnome-backgrounds
    - Update debian/gbp.conf with Ubuntu settings
    - debian/ubuntu-session-mods/ubuntu.json: Use Yaru's gnome-shell icons
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch,
    - ubuntu/darkMode-Add-support-to-Yaru-theme-color-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/Revert-dash-Use-pin-instead-of-favorites
    - ubuntu/shell-global-util-Do-not-move-snap-apps-to-gnome-apps-sco.patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 21 May 2023 16:52:00 -0400

gnome-shell (44.1-1) experimental; urgency=medium

  [ Jarred Wilson ]
  * New upstream release
  * Drop patches applied in new release
  * Rebase patches

  [ Jeremy Bicha ]
  * Drop patch to ensure tray icons windows are shown: applied in new release
  * debian/control.in: Bump minimum mutter to 44.1

 -- Jarred Wilson <jarred.wilson@canonical.com>  Sun, 21 May 2023 12:50:23 -0400

gnome-shell (44.0-2ubuntu3) lunar; urgency=medium

  * Cherry-pick fix for installing extensions (LP: #2013073)
  * Add proposed patch to fix running gnome-shell on RISC-V (LP: #2012068)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 31 Mar 2023 10:18:23 -0400

gnome-shell (44.0-2ubuntu2) lunar; urgency=medium

  * debian/patches: Cherry-pick more upstream fixes from stable branch
  * debian/patches: Give more priority to desktop files matching startup-wm
    class (LP: #2012645)
  * debian/patches: Do not move snap apps to GNOME apps scope (LP: #2011806)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 27 Mar 2023 21:19:20 +0200

gnome-shell (44.0-2ubuntu1) lunar; urgency=medium

  * Merge with debian, containing a new upstream release
  * debian/patches: Reload shell theme on color scheme changes
  * debian/patches: Do not crash on st settings updates (LP: #2012021)
  * debian/patches: Refresh
  * Remaining changes with debian:
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + ubuntu-wallpapers
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move some Recommends to Suggests:
      + chrome-gnome-shell
      + gnome-backgrounds
    - Update debian/gbp.conf with Ubuntu settings
    - debian/ubuntu-session-mods/ubuntu.json: Use Yaru's gnome-shell icons
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch,
    - ubuntu/darkMode-Add-support-to-Yaru-theme-color-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/Revert-dash-Use-pin-instead-of-favorites

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 21 Mar 2023 05:41:22 +0100

gnome-shell (44.0-2) experimental; urgency=medium

  * debian/control: Bump dependency on mutter 44

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 21 Mar 2023 05:37:22 +0100

gnome-shell (44.0-1) experimental; urgency=medium

  * New upstream release
  * debian/patches: Refresh
  * debian/patches: Cherry-pick upstream fixes
  * debian/rules: Create a cache home folder for dconf

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 21 Mar 2023 05:20:26 +0100

gnome-shell (44~rc-1ubuntu2) lunar; urgency=medium

  * d/ubuntu-session-mods/ubuntu: Add Tiling Assistant as built-in extension
    This will ensure that if the extension is installed, it can be enabled from
    settings, without having to enable all the user extensions.
    It doesn't imply a shell dependency on it.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 16 Mar 2023 00:17:02 +0100

gnome-shell (44~rc-1ubuntu1) lunar; urgency=medium

  [ Jeremy Bicha ]
  * Merge with Debian. Remaining differences:
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + ubuntu-wallpapers
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move some Recommends to Suggests:
      + chrome-gnome-shell
      + gnome-backgrounds
    - Update debian/gbp.conf with Ubuntu settings
    - debian/ubuntu-session-mods/ubuntu.json: Use Yaru's gnome-shell icons
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch,
    - ubuntu/darkMode-Add-support-to-Yaru-theme-color-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/Revert-dash-Use-pin-instead-of-favorites
  * Don't ignore test failures

  [ Marco Trevisan (Treviño) ]
  * Refresh patches

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Mar 2023 13:35:25 -0400

gnome-shell (44~rc-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Refresh patch
  * debian/control.in: Update dependencies for completion of gtk3->gtk4 switch
  * debian/control.in: Bump minimum mutter to 44~rc
  * Temporarily ignore build test failures

  [ Marco Trevisan (Treviño) ]
  * debian/control: Add breaks on extensions known to be broken by 44.rc
  * debian/control: Set explicit gnomedesktop-4 dependency version
  * debian/patch: Add patch to ensure tray icons windows are shown

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 08 Mar 2023 02:59:16 +0100

gnome-shell (44~beta-1ubuntu1) lunar; urgency=medium

  [ Jeremy Bicha ]
  * Merge with Debian, containing new upstream release:
    - Do not deference symlinks when uninstalling an extension (LP: #1998529)
  * Remaining changes with debian:
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + ubuntu-wallpapers
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move some Recommends to Suggests:
      + chrome-gnome-shell
      + gnome-backgrounds
    - Update debian/gbp.conf with Ubuntu settings
    - debian/ubuntu-session-mods/ubuntu.json: Use Yaru's gnome-shell icons
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch,
    - ubuntu/darkMode-Add-support-to-Yaru-theme-color-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/Revert-dash-Use-pin-instead-of-favorites
    * Rebase patches
    * Drop main-Avoid-meta-finalize.patch: maybe not needed any more
    * Fix typo in patch

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Ensure GSETTINGS_SCHEMA_DIR is honored in tests
  * debian/patches/ubuntu: Fix description typos to mute lintian

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 24 Feb 2023 06:29:15 +0100

gnome-shell (44~beta-1) experimental; urgency=medium

  * New upstream release
  * Drop translation patches: applied in new release
  * Bump mutter dependency to 44~beta
  * Update install files
  * Build-Depend on mutter-12-tests instead of libmutter-test-12
  * Build-Depend on gir1.2-nma-1.0 for build tests
  * Temporarily disable change to make test warnings fail the build

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 17 Feb 2023 18:10:36 -0500

gnome-shell (43.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Don't dereference symlinks when deleting extensions
      (GNOME/gnome-shell#6182, which can be a data loss bug)
    - Fix windows disappearing from Alt+Tab if their title changes at
      just the wrong time (GNOME/gnome-shell#6385)
    - Log warnings on invalid state transitions (GNOME/gnome-shell#4561)
    - Fix some memory leaks in gdm (GNOME/gnome-shell#6395)
    - gnome-extensions tool: Fix the ability to enable and disable
      extensions while GNOME is installed but not running
      (GNOME/gnome-shell#6127)
    - Silence compiler warnings with newer GLib (GNOME/gnome-shell!2625)
    - Add precondition checks to prevent some crashes
      (GNOME/gnome-shell!2622)
    - Provide context to IBus input method when the surrounding text
      becomes empty (GNOME/gnome-shell#5895)
    - Avoid warnings with audio streams on a device not corresponding
      to a sound card, such as network sinks (GNOME/gnome-shell!2616)
    - Avoid some strings being untranslatable by working around an xgettext
      bug (GNOME/gnome-shell#5280)
    - Fix drag-and-drop in the dash when animations are disabled
      (GNOME/gnome-shell!2604)
    - Avoid warnings when dragging an app from the dash to the grid
      (GNOME/gnome-shell#6317)
    - Save screencasts to home directory if the Videos directory has been
      deleted, instead of failing to record (GNOME/gnome-shell!2594)
    - Make Shell less susceptible to the OOM-killer, since it is required
      for basic functionality of desktops that use it
      (GNOME/gnome-shell!2582)
  * d/patches: Drop patches that were applied upstream
  * d/patches: Add translation updates from upstream:
    fi, id, ka, pt, sv, tr, uk
  * d/control.in, d/gbp.conf, d/watch: Set up branches for 43.x in bookworm.
    This leaves the default branch available for GNOME 44 betas in
    experimental and Ubuntu.

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Feb 2023 17:02:45 +0000

gnome-shell (43.2-2) unstable; urgency=medium

  * Team upload
  * d/patches: Sort closest-to-upstream first
  * d/patches: Update to upstream gnome-43 branch commit 43.2-8-ga1b834297
    - Ensure that buttons in quick settings menu are aligned to pixel grid
    - Translation updates: ab, en_GB, ie, ka, ru
  * Update standards version to 4.6.2 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Sun, 29 Jan 2023 15:26:02 +0000

gnome-shell (43.2-1ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + ubuntu-wallpapers
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move some Recommends to Suggests:
      + chrome-gnome-shell
      + gnome-backgrounds
    - Update debian/gbp.conf with Ubuntu settings
    - debian/ubuntu-session-mods/ubuntu.json: Use Yaru's gnome-shell icons
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - u/main-Avoid-meta-finalize: Leak gjs context only on ubiquity sessions
      (LP: #1964458)
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch,
    - ubuntu/darkMode-Add-support-to-Yaru-theme-color-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/Revert-dash-Use-pin-instead-of-favorites

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 17 Jan 2023 11:13:09 -0500

gnome-shell (43.2-1) unstable; urgency=medium

  * New upstream release (Closes: #1028972)
  * Drop patches applied in new release
  * Cherry-pick fix for screen share window titles

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 17 Jan 2023 11:09:16 -0500

gnome-shell (43.1-2ubuntu1) lunar; urgency=medium

  * Merge with Debian (LP: #1995134, LP: #1997481). Remaining changes:
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + ubuntu-wallpapers
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move some Recommends to Suggests:
      + chrome-gnome-shell
      + gnome-backgrounds
    - Update debian/gbp.conf with Ubuntu settings
    - debian/ubuntu-session-mods/ubuntu.json: Use Yaru's gnome-shell icons
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - u/main-Avoid-meta-finalize: Leak gjs context only on ubiquity sessions
      (LP: #1964458)
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch,
    - ubuntu/darkMode-Add-support-to-Yaru-theme-color-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/Revert-dash-Use-pin-instead-of-favorites
  * Drop gst_init_check patch: fixed a different way in 43.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 14:50:17 -0400

gnome-shell (43.1-2) unstable; urgency=medium

  * Team upload
  * d/.gitignore: Don't ignore patches, overriding upstream .gitignore
  * Move patch reverting gcr4 transition into d/patches/debian subdirectory
  * Add post-release patches from upstream gnome-43 branch
    - Screencast bug fixes
    - Update Russian translation
  * d/control.in: Depend on dbus-daemon instead of dbus for dbus-run-session

 -- Simon McVittie <smcv@debian.org>  Tue, 15 Nov 2022 10:32:15 +0000

gnome-shell (43.1-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * debian/source_gnome-shell.py: Don't try to report nonexistent mouse
    gsettings schema

  [ Alban Browaeys ]
  * debian/control.in: Bump minimum gnome-bluetooth3 runtime to 42.3,
    required for AdapterState

  [ Simon McVittie ]
  * New upstream release
  * Update URLs in upstream metadata
  * Update Lintian overrides

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Simon McVittie <smcv@debian.org>  Fri, 04 Nov 2022 20:10:13 +0000

gnome-shell (43.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 27 Sep 2022 19:10:41 -0400

gnome-shell (43.0-1ubuntu2) kinetic; urgency=medium

  [ Daniel van Vugt ]
  * Avoid deadlocking in gst_init_check() on startup (LP: #1988488)
gnome-shell (43.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian, remaining changes:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Moved some Recommends to Suggests:
      + chrome-gnome-shell
    - Update debian/gbp.conf with Ubuntu settings
    - debian/ubuntu-session-mods/ubuntu.json: Use Yaru's gnome-shell icons
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - u/main-Avoid-meta-finalize: Leak gjs context only on ubiquity sessions
      (LP: #1964458)
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch,
    - ubuntu/darkMode-Add-support-to-Yaru-theme-color-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/Revert-dash-Use-pin-instead-of-favorites

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 14:50:17 -0400

gnome-shell (43.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * d/control.in: Bump minimum mutter version to 43.0 release
  * d/p/quick-settings-Add-ellipses-to-Log-Out-string.patch:
    Drop, applied upstream
  * Standards-Version: 4.6.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Sep 2022 20:02:40 +0100

gnome-shell (43~rc-1ubuntu2) kinetic; urgency=medium

  * Suggest instead of depend on gnome-backgrounds

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 08 Sep 2022 21:27:52 -0400

gnome-shell (43~rc-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian, remaining changes:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Moved some Recommends to Suggests:
      + chrome-gnome-shell
    - Update debian/gbp.conf with Ubuntu settings
    - debian/ubuntu-session-mods/ubuntu.json: Use Yaru's gnome-shell icons
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - u/main-Avoid-meta-finalize: Leak gjs context only on ubiquity sessions
      (LP: #1964458)
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch,
    - ubuntu/darkMode-Add-support-to-Yaru-theme-color-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/Revert-dash-Use-pin-instead-of-favorites
  * Drop obsolete maintainer scripts handling Ubuntu theme migration

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 08 Sep 2022 17:03:28 -0400

gnome-shell (43~rc-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum mutter to 43~rc
  * Cherry-pick Log Out… patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2022 14:22:44 -0400

gnome-shell (43~beta-2) experimental; urgency=medium

  * Build with libsoup3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Sep 2022 17:40:40 -0400

gnome-shell (43~beta-1ubuntu2) kinetic; urgency=medium

  * Build with libsoup3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 25 Aug 2022 16:50:58 -0400

gnome-shell (43~beta-1ubuntu1) kinetic; urgency=medium

  [ Jeremy Bicha ]
  * Merge with Debian, remaining changes:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Moved some Recommends to Suggests:
      + chrome-gnome-shell
    - Break gnome-shell-extension-desktop-icons (<< 68ubuntu20.10.1)
    - gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    - Update debian/gbp.conf with Ubuntu settings
    - debian/ubuntu-session-mods/ubuntu.json: Use Yaru's gnome-shell icons
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - u/main-Avoid-meta-finalize: Leak gjs context only on ubiquity sessions
      (LP: #1964458)
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch,
    - ubuntu/darkMode-Add-support-to-Yaru-theme-color-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/Revert-dash-Use-pin-instead-of-favorites
  * debian/patches: Refresh

  [ Marco Trevisan (Treviño) ]
  * debian/patches:
    - Update GDM fingerprint init patch
    - Update debug improvements patches
    - Update search provider patch to support XUbuntuCancel
    - Refresh
    - Move ubuntu settings handling to St.Settings
    - Add support for toggling dark mode with Yaru variants
  * debian/control: Bump recommends on newer Yaru theme

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 25 Aug 2022 01:58:50 +0200

gnome-shell (43~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum mutter to 43~beta
  * debian/control.in: Bump minimum gjs to 1.73.1
  * Revert switch to gcr4

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 21 Aug 2022 10:53:56 -0400

gnome-shell (42.4-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian, remaining changes:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Moved some Recommends to Suggests:
      + chrome-gnome-shell
    - Break gnome-shell-extension-desktop-icons (<< 68ubuntu20.10.1)
    - gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    - Update debian/gbp.conf with Ubuntu settings
    - debian/ubuntu-session-mods/ubuntu.json: Use Yaru's gnome-shell icons
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - u/main-Avoid-meta-finalize: Leak gjs context only on ubiquity sessions
      (LP: #1964458)
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/Revert-dash-Use-pin-instead-of-favorites
  * debian/patches: Refresh

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 11 Aug 2022 17:31:32 -0400

gnome-shell (42.4-2) unstable; urgency=medium

  * Build with libsoup3
  * Update Vcs branches since debian/master is tracking 43

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Sep 2022 16:09:52 -0400

gnome-shell (42.4-1) unstable; urgency=medium

  * New upstream release (LP: #1985304):
    - Fix logging in with realmd (LP: #1985128)
  * debian/patches: Drop applied patches

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 11 Aug 2022 23:14:29 +0200

gnome-shell (42.3.1-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian (LP: #1981937) Remaining changes with Debian:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Moved some Recommends to Suggests:
      + chrome-gnome-shell
    - Break gnome-shell-extension-desktop-icons (<< 68ubuntu20.10.1)
    - gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    - Update debian/gbp.conf with Ubuntu settings
    - debian/ubuntu-session-mods/ubuntu.json: Use Yaru's gnome-shell icons
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - u/main-Avoid-meta-finalize: Leak gjs context only on ubiquity sessions
      (LP: #1964458)
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/Revert-dash-Use-pin-instead-of-favorites

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 18 Jul 2022 07:39:38 +0200

gnome-shell (42.3.1-2) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/source_gnome-shell.py: Support gdm name only
  * debian/control: Recommend gnome-remote-desktop

  [ Jeremy Bicha ]
  * Cherry-pick patch to allow Extension Manager update feature to work
    without the older Extensions app installed (LP: #1981952)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 18 Jul 2022 07:36:31 +0200

gnome-shell (42.3.1-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian (LP: #1981937) Remaining changes with Debian:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
      + gnome-remote-desktop to provide remote desktop support by default
    - Moved some Recommends to Suggests:
      + chrome-gnome-shell
    - Break gnome-shell-extension-desktop-icons (<< 68ubuntu20.10.1)
    - gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    - Update debian/gbp.conf with Ubuntu settings
    - debian/ubuntu-session-mods/ubuntu.json: Use Yaru's gnome-shell icons
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - u/main-Avoid-meta-finalize: Leak gjs context only on ubiquity sessions
      (LP: #1964458)
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/Revert-dash-Use-pin-instead-of-favorites

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 17 Jul 2022 22:54:29 +0200

gnome-shell (42.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 16 Jul 2022 18:16:17 +0200

gnome-shell (42.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Mon, 06 Jun 2022 11:05:06 +0100

gnome-shell (42.1-1) unstable; urgency=medium

  * New upstream release (LP: #1973373, LP: #1968911)
  * Drop all patches except 1 Debian-specific patch: applied in new release
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 13 May 2022 15:09:47 -0400

gnome-shell (42.0-5) experimental; urgency=medium

  * Team upload
  * d/patches: Update to upstream git commit 42.0-84-g9ee7af233
    - Bug fixes targeted for 42.1
    - Translation updates

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Apr 2022 10:04:11 +0100

gnome-shell (42.0-4) unstable; urgency=medium

  * Team upload

  [ Pablo Mazzini ]
  * Move evolution-data-server from Depends to Recommends
    (Closes: #869230)

  [ Simon McVittie ]
  * Update to upstream git commit 42.0-69-g653697683
    - Bug fixes targeted for 42.1
    - Translation updates
    - Update metadata of patches that were already present

 -- Simon McVittie <smcv@debian.org>  Tue, 19 Apr 2022 12:28:27 +0100

gnome-shell (42.0-3) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Move Debian-specific temporary patches to debian/
  * debian/control.in: Recommend power-profiles-daemon for power mode feature

  [ Simon McVittie ]

  * d/p/Specify-API-versions-for-all-public-GIR-APIs-except-GLib.patch:
    Add patch to make Shell more robust against GIR API breaks.
    This avoids future bugs similar to #1008926.
  * d/patches: Remove compatibility with older gnome-control-center
  * Bump Recommends to gnome-control-center (>= 1:42)

 -- Simon McVittie <smcv@debian.org>  Wed, 13 Apr 2022 16:47:53 +0100

gnome-shell (42.2-0ubuntu2) kinetic; urgency=medium

  * Drop two patches that support the old gnome-control-center
    desktop file (LP: #1980245):
    - js-Support-legacy-GNOME-Control-Center-now-Settings-dbus-.patch
    - Revert-ui-Rename-gnome-control-center-to-org.gnome.Settin.patch

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 30 Jun 2022 08:23:15 -0300

gnome-shell (42.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (LP: #1977776)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 06 Jun 2022 20:30:49 -0400

gnome-shell (42.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (LP: #1973373, LP: #1968911)
  * Drop patches applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 13 May 2022 16:32:49 -0400

gnome-shell (42.0-2ubuntu2) kinetic; urgency=medium

  * Use libgweather4 instead of old libgweather

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 29 Apr 2022 13:31:08 -0400

gnome-shell (42.0-2ubuntu1) jammy; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Cherry-pick upstream fixes targetting 42.1
  * debian/patches: Compute system ackground color from theme (LP: #1965727)
  * ubuntu/configure-login-screen.patch: Use bg color for initial system bg
    (LP: #1965727)
  * debian/patches: Ensure St.Entry's `selected-color` CSS property is honored
    (LP: #1878998)
  * ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
  * d/p/main-Avoid-meta-finalize: Leak gjs context only on ubiquity sessions
    (LP: #1964458)
  * d/p/use-favorites-strings: Only apply this to ubuntu session
  * debian/patches: Do not hang and crash if fingerprint service fails to start
    (LP: #1962566)
  * debian: Use gnomebluetooth-3.0 as dependency and revert patches disabling it
    (LP: #1738838, #1968364, #1964600)

  [ Jeremy Bicha ]
  * Use libgweather4 instead of old libgweather (LP: #1964600)
  * Add patch to work around meson issue (Debian 1008189)
  * releasing package gnome-shell version 42.0-2
  * debian/control.in: Recommend power-profiles-daemon for power mode feature

  [ Daniel van Vugt ]
  * main-Avoid-meta-finalize.patch: Leak GJS to work around LP: #1964458

  [ Gunnar Hjalmarsson ]
  * Revert "dash: Use pin instead of favorites"

  [ Jeremy Bicha ]
  * Remaining changes with debian:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
      + gnome-remote-desktop to provide remote desktop support by default
    - Moved some Recommends to Suggests:
      + chrome-gnome-shell
    - Update debian/gbp.conf with Ubuntu settings
    - gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - optional-hot-corner.patch
      + enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - debian/patches: Support configuring icons resource to use for mode
    - debian/ubuntu-session-mods/ubuntu.json: Use Yaru's gnome-shell icons
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - Break gnome-shell-extension-desktop-icons (<< 19.01.3+git20190814)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 13 Apr 2022 03:30:47 +0200

gnome-shell (42.0-2) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * js: Support legacy GNOME Control Center (now Settings) dbus name
  * debian/patches: Cherry-pick various upstream fixes targeting 42.1
  * debian/patches: Fix monitor switching configuration (LP: #1964496)
  * debian/patches: Overview, remove desktop fade logic (LP: #1965072)
  * shellDBus: Actually make ScreenTransitionAsync async

  [ Jeremy Bicha ]
  * Use libgweather4 instead of old libgweather
  * Add patch to work around meson issue (Debian 1008189)
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Mar 2022 11:14:05 -0400

gnome-shell (42.0-1ubuntu1) jammy; urgency=medium

  [ Jeremy Bicha ]
  * Merge with Debian.
  * Add patches to revert switch to new gnome-bluetooth
  * Revert "debian/control.in: Switch to gnome-bluetooth3"

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Refresh
  * debian/patches: Fix monitor switching configuration (LP: #1964496)
  * debian/patches: Overview, remove desktop fade logic (LP: #1965072)
  * debian/patches: Cherry-pick various upstream fixes targeting 42.1
  * js: Support legacy GNOME Control Center (now Settings) dbus name
  * shellDBus: Actually make ScreenTransitionAsync async

  [ Jeremy Bicha ]
  * Remaining changes with debian:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
      + gnome-remote-desktop to provide remote desktop support by default
    - Moved some Recommends to Suggests:
      + chrome-gnome-shell
    - Update debian/gbp.conf with Ubuntu settings
    - gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - optional-hot-corner.patch
      + enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - debian/patches: Support configuring icons resource to use for mode
    - debian/ubuntu-session-mods/ubuntu.json: Use Yaru's gnome-shell icons
    - Break gnome-shell-extension-desktop-icons (<< 19.01.3+git20190814)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 28 Mar 2022 16:31:13 +0200

gnome-shell (42.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum mutter to 42.0
  * Add patch to restore Settings item in system menu (LP: #1964136)

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Mar 2022 10:37:23 -0400

gnome-shell (42~rc-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum mutter to 42~rc
  * debian/control.in: Switch to gnome-bluetooth3
  * Drop patches reverting use of gnome-bluetooth3
  * Drop patches applied in new release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 13:18:51 -0500

gnome-shell (42~beta-1ubuntu3) jammy; urgency=medium

  * debian/patches: Adapt the theme-switcher code to keep gtk and shell in sync
    We only used dark theme for the shell before while now it will match the
    rest of the system.
  * debian/patch: Fix a crash on shadow computation (LP: #1947315)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 18 Mar 2022 05:38:36 +0100

gnome-shell (42~beta-1ubuntu2) jammy; urgency=medium

  * Add patch to restore Settings item in system menu, because we're
    using the older gnome-control-center.desktop) (LP: #1964136)

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 10 Mar 2022 09:01:53 -0500

gnome-shell (42~beta-1ubuntu1) jammy; urgency=medium

  * Merge with debian
  * debian/patches: Refresh
  * debian/patches: Support configuring icons resource to use for mode
  * debian/ubuntu-session-mods/ubuntu.json: Use Yaru's gnome-shell icons
  * Remaining changes with debian:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
      + gnome-remote-desktop to provide remote desktop support by default
    - Moved some Recommends to Suggests:
      + chrome-gnome-shell
    - Update debian/gbp.conf with Ubuntu settings
    - gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - optional-hot-corner.patch
      + enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - Break gnome-shell-extension-desktop-icons (<< 19.01.3+git20190814)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 25 Feb 2022 01:59:17 +0100

gnome-shell (42~beta-1) experimental; urgency=medium

  * New upstream release:
    - Implement in-shell screenshot and screencast UI
    - Use libadwaita for extension preferences
    - Improve presentation of multi-day events in calendar
    - Implement OSD redesign
    - Allow extensions to opt-in to running on lock/login screen
  * debian/patches:
    - Drop applied upstream
    - Revert switch to gnome-bluetooth-3
    - Cherry-pick various upstream fixes
  * debian: Update runtime-dependencies and use mozjs-91 based gjs
  * debian/gnome-shell.lintian-overrides: Overrides for new messages
  * debian/control:
    - Drop shell dependency on gjs cli tool, add to extensions tool
    - Explicitly list freedesktop gir dependency
    - Add runtime dependency on libadwaita via gir1.2-adw-1

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 23 Feb 2022 07:33:39 +0100

gnome-shell (41.3-2) unstable; urgency=medium

  * Team upload
  * d/p/environment-Require-GnomeBluetooth-1.0.patch,
    d/p/environment-Require-gnome-desktop-3.0.patch:
    Add patches from 42~alpha to avoid a crash with experimental GIR.
    Previously, gnome-shell would crash if gir1.2-gnomedesktop-4.0 or
    gir1.2-gnomebluetooth-2.0 were installed.
  * d/patches: Update to gnome-41 branch commit 41.3-10-g3ca661b73
    - Don't break extensions that look up a window's app on ::window-added,
      fixing a regression in 41.3
    - Translation updates: cs, es, he, is, ja

 -- Simon McVittie <smcv@debian.org>  Tue, 15 Feb 2022 13:11:19 +0000

gnome-shell (41.3-1ubuntu1) jammy; urgency=medium

  * Merge with debian, containing various upstream fixes:
    - Window size is wrong after exiting full-screen (LP: #1947467)
  * debian/patches: Refresh to support GNOME 41 codebase
  * debian/patches: Remove patch to make overview starting optional
    This can be handled fully by the extensions that need it, so let's
    handle this in dash-to-dock instead that in upstream code
  * Remaining changes with debian:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
      + gnome-remote-desktop to provide remote desktop support by default
    - Moved some Recommends to Suggests:
      + chrome-gnome-shell
    - Update debian/gbp.conf with Ubuntu settings
    - gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - optional-hot-corner.patch
      + enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - Break gnome-shell-extension-desktop-icons (<< 19.01.3+git20190814)
  * debian/patches: Remove patch to make overview starting optional

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 27 Jan 2022 04:09:39 +0100

gnome-shell (41.3-1) unstable; urgency=medium

  * New upstream release:
    - Speed up a fade animation on older Intel GPUs (Closes: #1000172)
    - Improve window tracking (LP: #1934458)
    - Simplify scroll fade shader to work with old hardware
    - Tweak (un)minimize animations (LP: #1713021)
    - Don't wake up screen in DND mode
    - Fix immediately withdrawn notifications getting stuck
    - Honor XDG SingleMainWindow key in .desktop files
  * debian/patches:
    - Drop applied upstream
    - Do not use positional arguments in i18n.merge_file

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 25 Jan 2022 16:34:22 +0100

gnome-shell (41.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/patches: Update to upstream gnome-41 branch commit 41.2-5-g9bf1988b5:
    - Fix a freeze involving window tracking
    - Update Turkish translation
  * Adjust Lintian overrides syntax for newer Lintian

 -- Simon McVittie <smcv@debian.org>  Wed, 22 Dec 2021 11:51:59 +0000

gnome-shell (41.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/rules: Pass bash_completion Meson option to correct subproject.
    With Meson 0.60.x, unknown -D options are an error. (Closes: #998589)
  * Adjust Lintian overrides

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Nov 2021 15:23:00 +0000

gnome-shell (41.0-2) unstable; urgency=medium

  * Team upload
  * Update Lintian overrides for RUNPATH
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 16 Oct 2021 19:27:01 +0100

gnome-shell (41.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Update dependency versions
  * d/rules: Stay with libsoup 2.4 for now
  * Build-depend on libmutter-test-9 if tests are enabled
  * Enable or disable tests according to nocheck build option
  * Stop installing gconf -> gsettings migration rules, removed upstream
  * Standards-Version: 4.6.0 (no changes required)
  * Build-depend on mutter <!nocheck>
    Some tests need the libdefault.so plugin.

 -- Simon McVittie <smcv@debian.org>  Sun, 10 Oct 2021 21:26:33 +0100

gnome-shell (40.5-1ubuntu2) impish; urgency=medium

  [ Daniel van Vugt ]
  * debian/patches: Avoid full meta context finalization.
    To workaround (prevent) shutdown crashes (LP: #1936826, #1942031, #1942121,
    LP: #1943406, #1944054, #1945010, #1945116, #1944388)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 05 Oct 2021 04:52:11 +0200

gnome-shell (40.5-1ubuntu1) impish; urgency=medium

  * Merge with debian
  * debian/patches: Refresh and update to current upstream
  * debian/patches: Move ubuntu-only patches into the ubuntu namespace
  * Remaining changes with debian:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Update debian/gbp.conf with Ubuntu settings
    - gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - optional-hot-corner.patch
      + enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch:
      + Fix crash on theme changes
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - Break gnome-shell-extension-desktop-icons (<< 19.01.3+git20190814)

  [ Jeremy Bicha ]
  * Revert "Skip ppc64el tests to fix FTBFS"

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 25 Sep 2021 13:07:30 +0200

gnome-shell (40.5-1) unstable; urgency=medium

  * New upstream release:
    - Optimize rendering of fullscreen zoom
    - Fix glitchy launch animations when leaving overview
    - Fix wrong separator position in dash
    - Fix OSK not registering button presses on X11
    - Fix work area getting messed up by hidden panels
    - Fix IM candidate popover position

  [ Simon McVittie ]
  * Revert "Avoid libgweather 40 dependency"
    libgweather 40 has now been uploaded to unstable.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 24 Sep 2021 22:07:26 +0200

gnome-shell (40.4-3) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * gnome-shell-extension-prefs: Add patch to give Debian-specific advice.
    We package gnome-extensions-app in the same binary package as
    gnome-shell-extension-prefs, so there's never a need to install it
    separately, either via Debian packages or from Flathub.
  * gnome-shell-extension-prefs: Add Provides on gnome-extensions-app.
    The gnome-shell-extension-prefs program in this package is deprecated,
    and the gnome-extensions-app program is now the main reason to want to
    install it, so let's make it a bit more discoverable.
  * gnome-shell: Add Suggests on gnome-shell-extension-prefs.
    The g-s-e-p program itself is deprecated, but the g-s-e-p package also
    contains gnome-extensions-app, which is the recommended UI for
    extensions management.

  [ Jeremy Bicha ]
  * debian/watch: Watch for stable releases

  [ Marco Trevisan (Treviño) ]
  * debian/control: Add missing dependency on gir1.2-gtk-4.0

  [ Gunnar Hjalmarsson ]
  * Add libgtk-3-bin to Build-Depends for dh_translations (LP: #1941954)

 -- Simon McVittie <smcv@debian.org>  Sun, 12 Sep 2021 16:44:18 +0100

gnome-shell (40.4-2) unstable; urgency=medium

  * Team upload
  * Release to unstable (transition: #992870)
  * Depend on gnome-settings-daemon 40.
    Older versions don't autostart the screensaver service, causing screen
    locking to fail.
    Thanks to jordi
  * Depend on gsettings-desktop-schemas 40.
    This is implicit in our dependency on a newer gnome-settings-daemon,
    but let's make it explicit that all the core GNOME packages need to
    go together.

 -- Simon McVittie <smcv@debian.org>  Sat, 11 Sep 2021 21:54:49 +0100

gnome-shell (40.4-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Don't include hidden search results in keyboard navigation
    - Fix visual issues with extensions that occupy screen edges
    - Add focus indications for switch widgets, such as VPN toggles
    - Fix visual glitch when dragging window preview in overview
    - Avoid windows that should not be in the overview appearing on
      Shell startup, for example with desktop-icons-ng
    - Fix suspend inhibitor accounting
    - Avoid a crash when running in "headless" mode
    - Be compatible with more combinations of new GLib and old gjs
      (not applicable in Debian, we already have the new gjs)
    - Fix spurious warnings for virtual input devices
    - Minor optimization for screen magnifier
    - Avoid a warning when displaying app details
    - Use the same location permissions as gnome-control-center
    - Fix some small memory leaks
    - Fix glitch in transition from app grid to session
    - Fix input method popup visibility when in fullscreen
    - magnifier: Fix view jumps when using caret tracking
    - Fix shadow rendering glitches
    - Fix vertical scrollbars in RTL locales
    - Fix a crash if an app moves between monitors during startup
    - Remove timeout for starting Xwayland on-demand
    - Fix D-Bus-initiated app focus changes
    - Make sure to return a value from D-Bus methods so callers won't
      time out
    - Make sure power menu stays in sync with upower
    - Handle non-widget source actors
    - Optimize shadows in overview
    - Use mallinfo2() instead of deprecated mallinfo() if glibc is new
      enough (not applicable in Debian yet)
    - Fix runtime warnings related to magnifier and shutdown
    - Translation updates
  * d/p/weather-Cope-with-either-libgweather-40-or-3.36.patch:
    Avoid libgweather 40 dependency.
    It'll be easier to do the libmutter-8-0 transition if we can decouple
    it from libgweather, and gnome-shell is written in a dynamic language,
    so we can easily avoid the dependency.
  * Relax Breaks on top-icons-plus extension.
    There doesn't seem to have been an official upstream release for v28,
    so the version fixing GNOME 40 compatibility will be 27-3.
    It has a versioned Depends anyway, so we don't need to be completely
    precise here.

 -- Simon McVittie <smcv@debian.org>  Tue, 31 Aug 2021 10:03:33 +0100

gnome-shell (40.2-1ubuntu6) impish; urgency=medium

  * d/rules:
    - Drop dh_translations workaround. gettext used by LP has been
      updated (LP: #1756547).
    - Fix Lintian warning about DEB_HOST_ARCH assignment

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 01 Sep 2021 15:44:38 +0200

gnome-shell (40.2-1ubuntu5) impish; urgency=medium

  * Fix translation issues (LP: #1941954):
    - Really fix translation import problem as reported in LP: #1756547
    - Add libgtk-3-bin to Build-Depends for dh_translations

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sat, 28 Aug 2021 20:13:36 +0200

gnome-shell (40.2-1ubuntu4) impish; urgency=medium

  * debian/rules:
    - Skip tests when building for ppc64el to fix FTBFS (LP: #1941792)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 27 Aug 2021 16:20:11 +0200

gnome-shell (40.2-1ubuntu3) impish; urgency=medium

  [ Daniel van Vugt ]
  * Add layout-Make-starting-in-the-overview-optional.patch:
    - So that extensions like Ubuntu Dock have the option of preventing
      the shell starting in the overview. (LP: #1940925)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 26 Aug 2021 19:47:55 +0200

gnome-shell (40.2-1ubuntu2) impish; urgency=medium

  [ Daniel van Vugt ]
  * Add workspace-Remove-skip-taskbar-windows-while-the-over.patch to stop the
    desktop icons window appearing like an app window in the overview on
    startup (LP: #1936643)

 -- Iain Lane <iain.lane@canonical.com>  Thu, 12 Aug 2021 09:41:01 +0100

gnome-shell (40.2-1ubuntu1) impish; urgency=medium

  * Merge with debian
  * debian/control:
    - Bump Breaks on yaru-theme-gnome-shell 21.10.1
    - Stop suggesting removed package gnome-themes-standard-data
    - Recommends newer version of yaru theme
  * debian/gnome-shell-common.pre{rm,inst}:
    - Remove deprecated update-alternatives actions
  * debian/gnome-shell-common.alternatives:
    - Use dh_installalternatives
    - Rename gdm3-theme to gdm-theme
  * debian/source_gnome-shell.py: Support gdm name only
  * debian/control: Add missing dependency on gir1.2-gtk-4.0
  * d/p/ubuntu/gdm_alternatives.patch: Use gdm basename for custom stylesheets

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 07 Jul 2021 09:30:42 +0200

gnome-shell (40.2-1) experimental; urgency=medium

  * New upstream release:
    - Unbreak Xwayland apps when not using systemd in user session
    - Fix distributed man pages
    - Avoid unnecessary icon shadow changes
    - Immediately start app grid drags for non-touch devices
    - Handle screencast failures more gracefully
  * debian/patches: Dropped, all applied upstream
  * debian/control: Add break on unreleased version of
    gnome-shell-extension-desktop-icons
  * debian/control: Break on gnome-shell-extension-desktop-icons-ng << 0.16

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 16 Jun 2021 00:47:49 +0200

gnome-shell (40.1-1) experimental; urgency=medium

  * New upstream release
  * debian/patches: Remove (all applied upstream)
  * debian/control:
    - Bump dependency to mutter-8
    - Update extensions breaks.
      This version will break various extensions so update broken versions
    - Build depend on gtk4.
      It's needed by shew subproject
    - Add runtime dependency on gtk4 to the extensions prefs
    - Add missing runtime dependencies and suggestions.
      All dependencies can be found with a script such as:
      grep "imports\.gi" --include "*.js" -rh js \
       | grep -o "\b[A-Z][A-Za-z]\+\(,\|\s\|\b\)" | sed "s/,\?\s*$//g" | sort -u
  * debian/patches:
    - Rebuild manual files to use the manpage format
    - Cherry-pick upstream patch fixing non-systemd case
    - Cherry-pick upstream crash fix

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sun, 30 May 2021 17:55:32 +0200

gnome-shell (3.38.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - gdm user interface fixes
      + Don't limit timed-login progress bar to the width of the username
        if it's short
      + Make sure authentication cancellation is handled correctly
      + Improve fingerprint authentication handling
      + Don't retry authentication if services are unavailable
    - Fix word suggestions in on-screen keyboard
    - Fix freeze after closing some modal dialogs with gjs 1.68.x
      (LP: #1918666)
    - Fix double-free crash in calendar on non-x86 (LP: #1915929)
    - Improve OSK compatibility with gjs 1.68.x (LP: #1918738)
    - Fix input-method popup visibility over fullscreen applications
    - Fix a crash if an app moves between monitors during startup
    - Fix D-Bus-initiated app focus changes
    - Make sure to return a value from D-Bus methods so callers won't
      time out
    - Fix runtime warnings related to magnifier and shutdown
    - Make sure power menu stays in sync with upower
    - Use mallinfo2() instead of deprecated mallinfo() if glibc is new
      enough (not applicable in Debian yet)
  * d/gbp.conf, d/control.in: Update VCS details for debian/unstable branch

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Aug 2021 08:50:50 +0100

gnome-shell (3.38.4-2) experimental; urgency=medium

  * debian/patches: Import upstream patches needed to support libgweather 40.
    libgweather 40 had an internal API change that caused runtime issues, so
    we need to update the shell code in order to make the shell to work and
    show the weather information.
  * debian/control: Bump runtime dependency on gweather 40

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 26 May 2021 13:37:14 +0200

gnome-shell (3.38.4-1ubuntu3) impish; urgency=medium

  [ Daniel van Vugt ]
  * Add workspacesView-Only-use-valid-allocations-when-avail.patch.
    To stop bogus values being used in _updateWorkspacesActualGeometry(),
    which would cause the overview to fail to toggle. (LP: #1922353)

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Refresh
  * debian/patches: Cherry-pick upstream calendar-server crash fix
    (LP: #1915929)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 31 May 2021 18:51:34 +0200

gnome-shell (3.38.4-1ubuntu2) hirsute; urgency=medium

  [ Daniel van Vugt ]
  * Add layout-Try-to-allocate-before-getting-size-of-tracke.patch.
    To fix LP: #1919979 and also to re-fix LP: #1917939
    (LP: #1919979, #1917939)
  * Drop layout-Allow-updating-struts-in-Overview.patch.
    Because it caused a regression and doesn't seem to have been necessary
    anyway. (LP: #1922772)

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Fix suggestions box actor population in non-latin languages
    (LP: #1914230)
  * debian/patches: Enable to use Escape to cancel auth requests (with limits)
    (LP: #1921929)
  * debian/patches: Refresh

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 15 Apr 2021 06:20:27 +0200

gnome-shell (3.38.4-1ubuntu1) hirsute; urgency=medium

  * Merge with debian, containing a new upstream release
  * debian/control: (Build-)Depends on mutter 3.38.4
  * debian/patches:
    - Refresh
    - Remove input-thread related patches
    - Fix handling of OSK codes in keyboard (LP: #1918738)
    - Ensure Cancel button uses proper arguments (LP: #1918666)
    - Allow updating struts in Overview (LP: #1917939)
    - Configure Login Scree: cleanup code to match shell's JS
  * Remaining changes with debian:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Update debian/gbp.conf with Ubuntu settings
    - gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - optional-hot-corner.patch
      + enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch:
      + Fix crash on theme changes
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - Break gnome-shell-extension-desktop-icons (<< 19.01.3+git20190814)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 26 Mar 2021 07:25:17 +0100

gnome-shell (3.38.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fix missing X11 fallback icons (particularly for games and other
      programs not installed system-wide), a regression in 3.37.3
    - Fix a Shell crash when an X11 window with an invalid/empty icon
      is closed, possibly a regression in 3.38.3-3
    - Fix a memory leak when getting the icon from the texture cache
    - Fix a possible use-after-free when removing a window
    - Don't reposition unrelated windows when dragging a window onto the
      workspace switcher
    - Make sure the blur effect shader can be compiled successfully
    - Many other fixes that we already had via debian/patches
  * Drop all patches, applied upstream

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Mar 2021 09:52:47 +0000

gnome-shell (3.38.3-4) unstable; urgency=medium

  * Team upload
  * Update to upstream commit 3.38.3-11-ga87aae8f4 from gnome-3-38 branch
    - Fix a crash if libsoup version 3 is installed
    - Update German translation

 -- Simon McVittie <smcv@debian.org>  Tue, 09 Mar 2021 20:35:00 +0000

gnome-shell (3.38.3-3ubuntu2) hirsute; urgency=medium

  [ Didier Roche ]
  [ Jean-Baptiste Lallement ]
  * debian/patches/ubuntu/configure_login_screen.patch:
    Make GDM background configurable with gsettings (LP: #1918613)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 25 Mar 2021 10:44:17 +0100

gnome-shell (3.38.3-3ubuntu1) hirsute; urgency=medium

  * debian/patches: Switch to the new API to get actor from inputdevice
    (LP: #1690719)
  * debian/control: Bump dependency on mutter with input thread support
  * debian/patches: Update to MetaCursorTracker API change
  * debian/patches: Do not forward device IDs
  * debian/ubuntu-session-mods/ubuntu.json: Use desktop-icons-ng extension by
    default (LP: #1916511)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 26 Feb 2021 00:51:19 +0100

gnome-shell (3.38.3-3) unstable; urgency=medium

  * Team upload
  * d/patches: Update to 3.38.3-9-gbdf31febe from gnome-3-38 branch
    - Use image-data in preference to app icon for notifications
    - Don't let fullscreen apps block the workspace-changing animation
    - Don't leave a non-interactable polkit prompt if authentication
      succeeds without requiring user interaction (LP: #1824874)
    - Fix a crash in the blur effect when taking a screenshot or
      screencast
    - Fix a crash involving apps' fallback icons

 -- Simon McVittie <smcv@debian.org>  Tue, 23 Feb 2021 09:28:02 +0000

gnome-shell (3.38.3-2ubuntu2) hirsute; urgency=medium

  * d/p/gdm-Don-t-try-to-retry-authenticating-when-the-service-is.patch:
    - gdm: Don't try to retry authenticating when the service is unavailable
      (LP: #1915570)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 16 Feb 2021 05:16:49 +0100

gnome-shell (3.38.3-2ubuntu1) hirsute; urgency=medium

  * Merge with debian, containing new upstream release (LP: #1915089)
  * debian/patches: Correctly handle login cancellation and failures.
    Ensure the GDM workers are terminated before restarting a new auth
    request, allowing fingerprint authentication to be restarted.
    (LP: #1915066)
  * debian/patches: Show errors on fingerprint failures and limit retries.
    (LP: #1865838)
  * debian/control: BD on gstreamer and pipewire, depend on gstreamer1.0-pipewire.
    Enable building with pipewire now that is in main and add runtime
    dependency on gstreamer-pipewire to gnome-shell (LP: #1901391).

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 09 Feb 2021 05:16:10 +0100

gnome-shell (3.38.3-2) unstable; urgency=medium

  * Team upload
  * d/patches: Update to 3.38.3-3-ge3dc4401d from gnome-3-38 branch
    - Fix opening Extensions app from notification
    - Fix workspace layout in right-to-left locales
    - Don't break window focusing if trying to take an area screenshot while
      an application such as a game has an X11 grab (LP: #1910235)

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Feb 2021 10:27:05 +0000

gnome-shell (3.38.3-1) unstable; urgency=medium

  * Team upload
  * d/watch: Only watch for 3.38.x versions
  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Thu, 14 Jan 2021 20:13:26 +0000

gnome-shell (3.38.2-1ubuntu1) hirsute; urgency=medium

  * Merge with debian, containing new upstream release (LP: #1908161):
    - Fixed crash in meta_window_actor_thaw (LP: #1897765)
    - Fixed crash in st_bin_destroy (LP: #1898005)
  * debian/patches:
    - Refreshed
    - Revert-appDisplay-baseAppView-Cleanup-animate.patch:
      + Revert a 3.38.2 change that proved to cause regressions
    - screenshot-Grab-screenshot-during-paint-on-X11.patch:
      + Correctly take screenshots for fullscreen games (LP: #1908164)
  * Remaining changes with debian:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Update debian/gbp.conf with Ubuntu settings
    - gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - optional-hot-corner.patch
      + enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch:
      + Fix crash on theme changes
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - Break gnome-shell-extension-desktop-icons (<< 19.01.3+git20190814)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Dec 2020 02:42:26 +0100

gnome-shell (3.38.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Improve app picker spacing on larger resolutions
    - Don't add dialogs to the window preview more than once
    - Avoid cursor visibility changes on startup
    - Remove dead code in StButton, StEntry
    - Make FocusApp D-Bus method more reliable
    - Fix crashes with the desktop-icons extension
      (LP: #1898005, LP: #1898910)
    - Silence some warnings
    - Update translations: nb, zh_CN
    - Otherwise functionally equivalent to 3.38.1-3
  * Drop patches that were included in the new upstream release
  * d/gbp.conf: Use upstream 3.38.x branch.
    Version 40~alpha was already released, so it's misleading to say that
    3.38.x is the latest.
  * Standards-Version: 4.5.1 (no changes required)
  * Update Lintian overrides
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Thu, 03 Dec 2020 10:40:52 +0000

gnome-shell (3.38.1-3) experimental; urgency=medium

  * Team upload
  * Update to upstream gnome-3-38 branch, commit 3.38.1-19-ge93b8263b
    - Fix a crash with message "Error in freeze/thaw accounting"
    - Don't crash if taking a per-window screenshot fails
    - Align audio device selection icons better
    - Fix typing replies into Telepathy notifications
    - Fix some memory leaks
    - Show screen-recorder indication, even in Xorg
    - Don't play message sounds when "Do not disturb" is enabled
    - Don't allow adding apps to favorites if they would be hidden anyway
    - Update translations: bn_IN, es, fur, pt

 -- Simon McVittie <smcv@debian.org>  Thu, 12 Nov 2020 16:45:02 +0000

gnome-shell (3.38.1-2) unstable; urgency=medium

  * debian/patches/modemManager_Add-property-getters.patch:
    - Cherry picked upstream commit to fix issue with missing "Mobile
      Broadband" item in the system menu (closes: #971511).

  [ Simon McVittie ]
  * d/control.in: Depend on gir1.2-gstreamer-1.0 (closes: #973463)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 04 Nov 2020 17:26:00 +0100

gnome-shell (3.38.1-1ubuntu2) hirsute; urgency=medium

  * debian/patches/modemManager_Add-property-getters.patch:
    - Cherry picked upstream commit to fix issue with missing "Mobile
      Broadband" item in the system menu (LP: #1902829).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 04 Nov 2020 16:59:17 +0100

gnome-shell (3.38.1-1ubuntu1) groovy; urgency=medium

  * Merge with debian, including new upstream release, remaining changes:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Update debian/gbp.conf with Ubuntu settings
    - gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - optional-hot-corner.patch
      + enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch:
      + Fix crash on theme changes
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - Break gnome-shell-extension-desktop-icons (<< 19.01.3+git20190814)
  * debian/patches: Refresh

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sun, 11 Oct 2020 02:43:11 +0200

gnome-shell (3.38.1-1) unstable; urgency=medium

  * New upstream release
    - Add screen recordings to recent items
    - Tweak peek-password feature
    - Fix workspace glitches in overview
    - Improve DND behavior in app picker

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sun, 11 Oct 2020 02:04:29 +0200

gnome-shell (3.38.0-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 25 Sep 2020 10:25:25 +0100

gnome-shell (3.38.0-1ubuntu2) groovy; urgency=medium

  * debian/control:
    - Revert "Require a known-working version of Pipewire",
      Revert "Depend on gstreamer1.0-pipewire",
      Revert "Enable screencasting support now that pipewire 0.3 is in
      experimental":
      + We don't support pipewire in yet

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 21 Sep 2020 18:40:51 +0200

gnome-shell (3.38.0-1ubuntu1) groovy; urgency=medium

  * Merge with debian, including new upstream release, remaining changes:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Update debian/gbp.conf with Ubuntu settings
    - gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - optional-hot-corner.patch
      + enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch:
      + Fix crash on theme changes
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - Break gnome-shell-extension-desktop-icons (<< 19.01.3+git20190814)
  * debian/patches: Refresh

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 16 Sep 2020 15:37:47 +0200

gnome-shell (3.38.0-1) experimental; urgency=medium

  * New upstream release

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 16 Sep 2020 15:03:21 +0200

gnome-shell (3.37.92-3) experimental; urgency=medium

  * Team upload
  * Build-depend on systemd, for systemd.pc

 -- Simon McVittie <smcv@debian.org>  Tue, 08 Sep 2020 23:21:34 +0100

gnome-shell (3.37.92-2) experimental; urgency=medium

  * Team upload

  [ Georges Basile Stavracas Neto ]
  * debian/rules: Update Meson option names
  * Depend on gstreamer1.0-pipewire.
    GNOME Shell's built-in screencast tool was made into a separate
    service that uses pipewiresrc.

  [ Simon McVittie ]
  * Require a known-working version of Pipewire
  * Remove migration path from ancient -dbg packages

 -- Simon McVittie <smcv@debian.org>  Tue, 08 Sep 2020 15:48:11 +0100

gnome-shell (3.37.92-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Fix screen recorder shortcut
    - Support cycle-group cycling only over windows in the workspace
  * Update mutter dependency version
  * Enable screencasting support now that pipewire 0.3 is in experimental

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Sep 2020 20:01:41 +0100

gnome-shell (3.37.91-1ubuntu1) groovy; urgency=medium

  * Merge with debian, including new upstream release, remaining changes:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Update debian/gbp.conf with Ubuntu settings
    - gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - optional-hot-corner.patch
      + enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch:
      + Fix crash on theme changes
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - Break gnome-shell-extension-desktop-icons (<< 19.01.3+git20190814)
  * debian/patches: Refreshed
  * debian/control:
    - Set breaks on upcoming core extensions. This update is going to break
      them, so we need extensions updates before migra
    - Set breaks on upcoming yaru theme.
      There are not big deals using the current yaru, but better to wait for a
      suynced one.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 27 Aug 2020 23:14:01 +0200

gnome-shell (3.37.91-1) experimental; urgency=medium

  * New upstream release:
    - Inhibit remote access when disabled by session mode
    - Remove Frequent view from app picker
    - Allow rearranging items in app picker
    - Add support for parental controls filtering
    - Support pre-authenticated logins in vmware environments (LP: #1886592)
    - Update microphone icon on input volume changes
    - Support prepending workspace with horizontal layouts
    - Move calendar events out of notifications list
    - Expose actor tree in looking glass
    - Add support for "PrefersNonDefaultGPU" desktop key
    - Move screencasting into a separate service (needs pipewire)
    - Default to not installing updates on low battery
    - Refactor and clean up app picker pagination (LP: #1873725)
    - Misc fixes and memory improvements
  * debian/control:
    - Depend on debhelper-compat = 13
    - Remove useless dependency on mutter (the binary)
    - Test depend on gir1.2-upowerglib-1.0
    - Update build dependencies to match upstream
    - Remove leading space in gnome-shell-extension-prefs description
  * debian/patches: Drop them all
  * debian/rules:
    - Don't manually set --fail-missing (included in dh 13)
    - Remove uneeded test environment variables overrides (included in dh 13)
  * debian/sources/lintian-override:
    - Override some desktop files related warnings
  * debian/gbp.conf: Point to upstream/latest
  * debian/watch: Monitor unstable versions

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 27 Aug 2020 17:34:56 +0200

gnome-shell (3.36.6-1) unstable; urgency=medium

  * Team upload

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Thu, 10 Sep 2020 12:27:18 +0100

gnome-shell (3.36.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fix password briefly showing on login dialog during logout if it
      was previously made visible (CVE-2020-17489, Closes: #968311)
  * Drop most patches, applied upstream

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Aug 2020 21:28:22 +0100

gnome-shell (3.36.4-1ubuntu2~build1) groovy; urgency=medium

  * Rebuild with the new libedataserver soname

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 18 Aug 2020 12:59:03 -0400

gnome-shell (3.36.4-1ubuntu1) groovy; urgency=medium

  * Merge with debian, including new upstream stable release, remaining changes:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Update debian/gbp.conf with Ubuntu settings
    - gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - optional-hot-corner.patch
      + enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch:
      + Fix crash on theme changes
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - Break gnome-shell-extension-desktop-icons (<< 19.01.3+git20190814)
  * d/p/ubuntu/gdm_alternatives.patch,
    d/p/ubuntu/secure_mode_extension.patch:
    - Refreshed as pr upstream changes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 20 Jul 2020 18:18:57 +0200

gnome-shell (3.36.4-1) unstable; urgency=medium

  * New upstream stable release (LP: #1888060)
    - Hide switch-user button on lock screen if unsupported
    - Improve world clocks styling
    - Improve calendar-server performance (Closes: #964851, LP: #1885346)
    - Fix regressions in redesigned modal dialogs (LP: #1871868)
    - Better support sandboxed apps with multiple .desktop files
    - Fix on-screen keyboard size in portrait orientation
    - Support scrolling anywhere in slider menu items
    - Fixed crash
    - Plugged leaks
  * debian/control:
    - Bump dependency on ibedataserver1.2 and evolution-data-server to 3.33.1
  * d/p/shell-mime-sniffer-Ignore-invalid-file-content-type.patch:
    - Dropped (merged upstream)
  * d/p/shell-window-tracker-Tighten-sandbox-ID-prefix-check.patch,
    d/p/extensionDownloader-Fix-check-for-updates-with-several-ex.patch,
    d/p/Update-Brazilian-Portuguese-translation.patch,
    d/p/Update-Brazilian-Portuguese-translation-1.patch,
    d/p/keyboard-Move-named-icons-into-subdirectories.patch,
    d/p/keyboard-Fix-missing-key-icons-in-numeric-level.patch,
    d/p/calendar-server-Remove-delay-before-event-emission.patch:
    - Cherry-picked from upstream stable branch, as they're reiterations to fix
      issues introduced in various 3.36.x releases.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 20 Jul 2020 15:17:47 +0200

gnome-shell (3.36.3-1ubuntu2) groovy; urgency=medium

  * d/p/shell-mime-sniffer-Ignore-invalid-file-content-type.patch:
    - gnome-shell-sniffer, don't crash when opening files with invalid content
      type (LP: #1865300)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 05 Jun 2020 20:14:47 +0200

gnome-shell (3.36.3-1ubuntu1) groovy; urgency=medium

  * Merge with debian, including new upstream release:
    - Fix app icon aspect ratio in the panel (LP: #1872026)
    - Ensure that Do not disturb is persistent across sessions (LP: #1873692)
    - Fix Theme node crashes (LP: #1877774, LP: #1877760)
  * debian/patches: Refresh
  * Remaining changes with debian:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Update debian/gbp.conf with Ubuntu settings
    - gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - optional-hot-corner.patch
      + enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch:
      + Fix crash on theme changes
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - Break gnome-shell-extension-desktop-icons (<< 19.01.3+git20190814)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 04 Jun 2020 22:19:02 +0200

gnome-shell (3.36.3-1) unstable; urgency=medium

  * New upstream release (LP: #1881973)
    - Add gnome-shell-extension-prefs wrapper for compatibility
    - Fix distorted fallback icons in top bar
    - Lower timeout for scrolling in overview
    - Only start systemd units when running under systemd
    - Fix "ghost" media controls
    - Fix zombie sockets from extensions downloader
    - Update world clocks offsets when timezone changes
    - Fix "Do Not Disturb" setting getting reset on startup
    - Fix pad OSD glitches
    - Fix matching notifications by PID
    - Only allow updates for extensions that aren't cached
    - Fixed crashes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 04 Jun 2020 00:07:17 +0200

gnome-shell (3.36.2+64+ge74e691d8-1) experimental; urgency=medium

  * Team upload
  * New upstream snapshot from the gnome-3-36 branch
    - Fixes a crash when locking the screen with certain extensions
      enabled (Closes: #959883)
  * Drop compatibility glue from gnome-shell-extension-prefs.
    Upstream added a wrapper script which does something mostly
    equivalent.
  * Install gnome-extensions-app, the new name of
    gnome-shell-extension-prefs, in the gnome-shell-extension-prefs
    package

 -- Simon McVittie <smcv@debian.org>  Sat, 30 May 2020 15:48:25 +0100

gnome-shell (3.36.2-1ubuntu1) groovy; urgency=medium

  * Merge with debian, including new upstream release (LP: #1877212)
  * debian/patches: Refresh
  * Remaining changes with debian:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Update debian/gbp.conf with Ubuntu settings
    - gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - optional-hot-corner.patch
      + enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch:
      + Fix crash on theme changes
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - Break gnome-shell-extension-desktop-icons (<< 19.01.3+git20190814)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 07 May 2020 03:57:06 +0200

gnome-shell (3.36.2-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
    - Tone down weekend days with events in calendar
    - Fix crash on physical keyboard detach
    - Fix crash when creating a new workspace by dragging a favourite
      app icon
    - Fix popup scaling in some HiDPI multi-monitor configurations
    - Fix unintended focus delay after entering the wrong password
    - Fix a crash when theming changes (LP: #1868440)
    - When searching for system actions, find transliterated ASCII versions
    - Ellipsize long "wrong password" messages
    - Fix stuck lock screen when locked with a system-modal dialog open
    - Don't apply updates on logout by default, since it isn't always
      desirable (in particular on-battery status is not detected)
    - Update translations: cs, pt_BR
  * d/rules: Drop -Wl,--as-needed.
    It's the compiler default with bullseye toolchains.
  * d/watch: Only watch even-numbered (stable) branches

 -- Simon McVittie <smcv@debian.org>  Fri, 01 May 2020 11:28:11 +0100

gnome-shell (3.36.1+git20200417-1) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream snapshot from gnome-3-36 branch (3.36.1-37-g18a5c7436)
    - Fix translated app folder names in overview (LP: #1872434)
    - Fix misaligned spinner in lock screen
    - Fix warning when a polkit dialog is reset
    - Pluralize prompt correctly when asking whether to revert a display
      setup change
    - Update Finnish translation
  * Bump build-dependency on libpulse-dev to 13.
    Apparently stable's libpulse0 (in a partial upgrade) causes gnome-shell
    to hang, so presumably we need this newer version for something.
    (Closes: #958025)
  * Bump AT-SPI dependency to a contemporary version.
    As with libpulse, there's anecdotal evidence that the version from
    Debian 10 is too old to work in practice. (Closes: #958025)

  [ Laurent Bigonville ]
  * Move the D-Bus interfaces description files to the -common package.
    This will make it easier to build some packages, like gnome-terminal,
    that have a search provider

  [ Jeremy Bicha ]
  * Have gnome-shell-extension-prefs recommend chrome-gnome-shell
    (LP: #1866841)
    - gnome-shell-extension-prefs recommends visiting
      extensions.gnome.org to install extensions but that
      requires chrome-gnome-shell to be installed
    - GNOME Software 3.36 no longer offers installing
      GNOME Shell extensions

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Apr 2020 13:46:21 +0100

gnome-shell (3.36.1-5ubuntu2) focal; urgency=medium

  * Have gnome-shell-extension-prefs recommend chrome-gnome-shell
    (LP: #1866841)
    - gnome-shell-extension-prefs recommends visiting
      extensions.gnome.org to install extensions but that
      requires chrome-gnome-shell to be installed
    - GNOME Software 3.36 no longer offers installing
      GNOME Shell extensions

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 21 Apr 2020 07:48:41 -0400

gnome-shell (3.36.1-5ubuntu1) focal; urgency=medium

  * Merge with debian
  * debian/patches: appDisplay: Look up directory- instead of category
    translations (LP: #1872434)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 15 Apr 2020 03:00:46 +0200

gnome-shell (3.36.1-5) unstable; urgency=medium

  * Team upload
  * Merge changelog from unstable
  * Upload to unstable (transition: #954422)
  * d/gbp.conf: Follow upstream/3.36.x branch

 -- Simon McVittie <smcv@debian.org>  Fri, 10 Apr 2020 17:56:07 +0100

gnome-shell (3.34.4-1) unstable; urgency=medium

  * Team upload
  * d/gbp.conf: Switch to debian/unstable branch.
    debian/master is now in use for 3.35.x.
  * New upstream release
  * Apply post-release fixes up to 3.34.4-1-g99d948559
  * Bump Standards-Version to 4.5.0

 -- Simon McVittie <smcv@debian.org>  Tue, 25 Feb 2020 16:26:07 +0000

gnome-shell (3.36.1-4ubuntu1) focal; urgency=medium

  * Merge with debian, with new upstream releases and cherry-picked fixes:
    - Lockscreen password field is stretched on enter (LP: #1869916)
    - Downscaled lockscreen background with fractional scaling (LP: #1866851)
    - Volume keys doesn't always produce a sound (LP: #1870958)
    - Shell crashes when using show-apps button in dock (LP: #1868659)
    - App folders improvements
    - Don't load app infos in the main thread
  * debian/patches:
    - Refreshed
  * d/p/ubuntu/desktop_detect.patch:
    - No need to include desktop.js into the prefs gresources anymore
  * Remaining changes with debian:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Update debian/gbp.conf with Ubuntu settings
    - gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - optional-hot-corner.patch
      + enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch:
      + Fix crash on theme changes
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - Break gnome-shell-extension-desktop-icons (<< 19.01.3+git20190814)

  [ Daniel van Vugt ]
  * d/p/ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch:
     Stop the Ubuntu logo from disappearing and fading back in on the login
     screen (LP: #1867133)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 09 Apr 2020 14:57:47 +0200

gnome-shell (3.36.1-4) experimental; urgency=medium

  * Team upload
  * extensions-app: Patch back in basic compatibility with old invocation.
    There are enough extensions in Debian that rely on being able to
    run "gnome-shell-extension-prefs <extension-UUID>" that we can't
    really drop this immediately.
    Mitigates: #956162, #956163, #956164, #956165, #956166, #956167,
    #956168, #956169, #956170, #956171, #956172

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Apr 2020 11:19:11 +0100

gnome-shell (3.36.1-3) experimental; urgency=medium

  * Team upload
  * Require an ibus version where #955769 (LP: #1869641) has been fixed
  * d/patches: Update from upstream gnome-3-36 branch up to commit
    3.36.1-31-ga6783692c

 -- Simon McVittie <smcv@debian.org>  Tue, 07 Apr 2020 18:27:29 +0100

gnome-shell (3.36.1-2) experimental; urgency=medium

  * Team upload
  * d/patches: Update from upstream gnome-3-36 branch up to commit
    3.36.1-19-gdfcc5ffb1
    - Drop commit c89d6a63 for now, there seems to be some doubt as to
      whether it is fully correct

 -- Simon McVittie <smcv@debian.org>  Sat, 04 Apr 2020 12:17:51 +0100

gnome-shell (3.36.1-1) experimental; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream release
  * Drop patches that were applied upstream
  * Build-depend on appstream, for its gettext .its integration
  * Install new AppStream metadata for extensions tool
  * Install bash completion for gnome-extensions CLI
  * d/patches: Update from upstream gnome-3-36 branch up to commit
    3.36.1-12-g3a863ee34
    - Translation updates
    - Don't override DesktopAppInfo desktop in Ubuntu's GNOME session,
      so NotShowIn=ubuntu works (LP: #1869905)
    - Various other bug fixes

  [ Laurent Bigonville ]
  * debian/control.in: Bump gir1.2-gnomedesktop-3.0 (build-)dependency

 -- Simon McVittie <smcv@debian.org>  Fri, 03 Apr 2020 14:23:59 +0100

gnome-shell (3.36.0-2ubuntu2) focal; urgency=medium

  * d/p/overview-Fade-in-out-over-the-desktop-instead-of-replacin.patch:
    - Drop patch to fade in/out the desktop instead of replacing it, it causes
      some bugs. (LP: #1868896, #1868911)
  * d/p/keyboard-Don-t-include-keyboard-devices-when-updating-las.patch,
    d/p/keyboard-Hide-keyboardBox-after-destroying-the-keyboard.patch,
    d/p/layout-Use-translation_y-of-0-to-hide-keyboard.patch:
    - Fix OSK leaves dask mask after being hidden (LP: #1845623)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 30 Mar 2020 17:49:05 +0100

gnome-shell (3.36.0-2ubuntu1) focal; urgency=medium

  * Merge with Debian. Ubuntu bugs resolved since 3.35.91-1ubuntu2:
    - gnome-shell crashed when enable-animations was false (LP: #1866044)
    - Overview animations were not reliably smooth (LP: #1725180)
    - Higher than necessary CPU usage on mouse movement (LP: #1848951)
    - Extension's preferences did not load (LP: #1866146)
  * debian/control:
    - Breaks yaru (<< 20.04.3~)
    - Breaks gnome-session (<< 3.35.3-1ubuntu4~) as per gdm yaru gresources
    - Breaks gnome-shell-extension-ubuntu-dock (<< 67ubuntu20.04.3)
    - Update Vcs-* to point to salsa ubuntu branches
  * ubuntu.json: Use Yaru gresource file for theming in ubuntu mode
  * debian/patches: Refresh
  * d/p/overview-Fade-in-out-over-the-desktop-instead-of-replacin.patch:
    - Fade in/out the desktop instead of replacing it (LP: #1847712)
  * d/p/ubuntu/gdm_alternatives.patch:
    - Set the default theme resource for gdm session to 'gdm3-theme.gresource'
    - Alias the default gnome-shell.css to gdm3.css
  * gnome-shell-common.install: Don't install compiled css file anymore
  * gnome-shell-common.{preinst,prerm}:
    - Remove obsolete alternative gdm3.css symlink
  * gnome-shell-common.postinst:
    - Set gnome-shell-theme.gresource as alternative for gdm3-theme.gresource
  * Remaining changes from debian:
    + Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    + Add some Recommends:
      - ubuntu-session (| gnome-session) to have the ubuntu session available
      - xserver-xorg-legacy
      - yaru-theme-gnome-shell for the default ubuntu theming
    + Update debian/gbp.conf with Ubuntu settings
    + gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    + ubuntu/desktop_detect.patch:
      - add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    + ubuntu/smarter_alt_tab.patch:
      - quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    + ubuntu/lightdm-user-switching.patch:
      - Allow user switching when using LightDM.
    + ubuntu/lock_on_suspend.patch
      - Respect Ubuntu's lock-on-suspend setting.
    + ubuntu/background_login.patch
      - Change default background color as we modified the default GDM color
        for our ubuntu session.
    + ubuntu/gdm_alternatives.patch
      - Add support for GDM3 theme alternatives
    + optional-hot-corner.patch
      - enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    + main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      - Improve debug JS tracing for crash reports
    + st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch:
      - Fix crash on theme changes
    + ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      - stop searches when requested from UI
    + magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      - Show monitor scaled cursor when magnifier is enabled
    + Break gnome-shell-extension-desktop-icons (<< 19.01.3+git20190814)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 20 Mar 2020 17:29:04 +0000

gnome-shell (3.36.0-2) experimental; urgency=medium

  * Split gnome-shell-extension-prefs out into its own binary package.
    It's not useful and arguably misleading to show this to everybody by
    default, since it is only a tool for enabling/disabling extensions you
    have already installed - and we don't provide any out of the box.
    Perhaps it'd be useful for individual extensions to cause this to be
    installed via Recommends.
  * Cherry-pick a few patches from 3.36.1; see patch descriptions for more
    details.
      - d/p/St-Ensure-to-update-entry-hint-visibility-with-IM-preedit.patch
      - d/p/ibusManager-fix-ibus-launch-error-because-of-wrong-method.patch
      - d/p/st-texture-cache-Fix-invalid-memory-write-related-to-X11-.patch
      - d/p/windowManager-Do-not-shutdown-ibus-xsettings-on-X11-compo.patch

 -- Iain Lane <laney@debian.org>  Thu, 19 Mar 2020 20:37:04 +0000

gnome-shell (3.36.0-1) experimental; urgency=medium

  * New upstream release
    + Allow session modes to specify alternative resource name
    + Don't require gsd-xsettings for X11 support on wayland
    + Fix crash on startup with topIcons* extension enabled
    + Fix ibus support in Xorg session
    + Fix illegible app folder titles with light theme
    + Fix link to location settings in aggregate menu
    + Fix off-by-1900 error in date conversions
    + Improve Extensions D-Bus API
    + Really fix visual glitch in sliders
  * control:
    + Breaks: gnome-shell-extension-appindicator << 33 to be on the
      safe side.
    + Bump mutter and gnome-desktop BDs per meson.build

 -- Iain Lane <laney@debian.org>  Mon, 16 Mar 2020 15:25:22 +0000

gnome-shell (3.35.92-2) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/control: Breaks on dashtodock minor than 67+git20200225-1

 -- Iain Lane <laney@debian.org>  Wed, 04 Mar 2020 09:24:55 +0000

gnome-shell (3.35.92-1) experimental; urgency=medium

  * New upstream release
  * control: Bump mutter deps to .92
  * Style-looking-glass-variant-independant.patch: Drop, upstream

 -- Iain Lane <laney@debian.org>  Tue, 03 Mar 2020 16:37:58 +0000

gnome-shell (3.35.91-1ubuntu2) focal; urgency=medium

  * control: Fix package for Yaru Breaks. It's called `yaru-theme-gnome-shell`
    and not `yaru-theme`
  * control: Bump Breaks on appindicator and desktop-icons.
    These have been updated for GNOME 3.36

 -- Iain Lane <iain.lane@canonical.com>  Thu, 27 Feb 2020 15:35:57 +0000

gnome-shell (3.35.91-1ubuntu1) focal; urgency=medium

  * Merge with Debian. Remaining changes:
    + Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    + Add some Recommends:
      - ubuntu-session (| gnome-session) to have the ubuntu session available
      - xserver-xorg-legacy
      - yaru-theme-gnome-shell for the default ubuntu theming
    + Update debian/gbp.conf with Ubuntu settings
    + gnome-shell-common.install: Install Ubuntu mode
    + gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    + ubuntu/desktop_detect.patch:
      - add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    + ubuntu/smarter_alt_tab.patch:
      - quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    + ubuntu/lightdm-user-switching.patch:
      - Allow user switching when using LightDM.
    + ubuntu/lock_on_suspend.patch
      - Respect Ubuntu's lock-on-suspend setting.
    + ubuntu/background_login.patch
      - Change default background color as we modified the default GDM color
        for our ubuntu session.
    + ubuntu/gdm_alternatives.patch
      - Add support for GDM3 theme alternatives
    + optional-hot-corner.patch
      - enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    + main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      - Improve debug JS tracing for crash reports
    + st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch:
      - Fix crash on theme changes
    + ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      - stop searches when requested from UI
    + magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      - Show monitor scaled cursor when magnifier is enabled
    + Break gnome-shell-extension-appindicator (<< 30)
    + Break gnome-shell-extension-desktop-icons (<< 19.01.3+git20190814)
    + Break gnome-shell-extension-ubuntu-dock (<< 67ubuntu20.04.1)
    + Break yaru-theme (<< 20.04.2)
  * debian/control:
    - Bump breaks on gnome-shell-extension-ubuntu-dock (<< 67ubuntu20.04.1)
    - Bump breaks on gnome-shell-extension-dashtodock (<< 67+git20200225-1)
    - Bump breaks on yaru-theme (<< 20.04.2)
    - Build depend and Depend on gjs 1.58.1-2ubuntu1
  * d/p/st-scroll-view-Remove-scrollbars-references-on-dispose.patch,
  * d/p/volume-Add-back-sound-feedback-on-scroll.patch:
    - Dropped, applied upstream
  * d/p/ubuntu/background_login.patch:
    - Simplify: just change the default background color to match Yaru
  * d/p/ubuntu/lock_on_suspend.patch:
    - Update to use string formatting not to confuse gettext with templates
  * d/p/ubuntu/meson-Depend-on-gjs-1.58.1.patch:
    - Lower the dependency on gjs 1.58.1
  * debian/patches:
    - Refreshed
  * debian/{control,patches}: Build depend on gjs 1.58.1-2ubuntu1

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 26 Feb 2020 14:36:57 +0100

gnome-shell (3.35.91-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
    - Improve visual appearance of Weather integration
    - New system dialog designs
    - Sandbox the portal helper
    - Improvements to the magnifier
    - New lock screen (a merge of screen shield and unlock dialog)
      (LP: #1832812, LP: #1827751)
    - Show the suspend button in the power menu (LP: #1697143)
    - Font size matches configured interface font size (LP: #1717453)
    - Only enable OSK automatically if touch-mode is enabled (LP: #1721319)
    - Added show-password emblem to password entries (LP: #1860540)
  * debian/control:
    - Update build dependencies
  * debian/gnome-shell-common.install: Add extensions tool icons
  * d/p/Style-looking-glass-variant-independant.patch:
    - Allow to style looking glass properly

  [ Laurent Bigonville ]
  * debian/rules: Do not override libexecdir so things are installed in
    /usr/libexec now that's allowed by the policy

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 24 Feb 2020 18:48:37 +0000

gnome-shell (3.34.3-1ubuntu1) focal; urgency=medium

  * Merge with Debian. Remaining changes:
    + Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    + Add some Recommends:
      - ubuntu-session (| gnome-session) to have the ubuntu session available
      - xserver-xorg-legacy
      - yaru-theme-gnome-shell for the default ubuntu theming
    + Update debian/gbp.conf with Ubuntu settings
    + gnome-shell-common.install: Install Ubuntu mode
    + gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    + ubuntu/desktop_detect.patch:
      - add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    + ubuntu/smarter_alt_tab.patch:
      - quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    + ubuntu/lightdm-user-switching.patch:
      - Allow user switching when using LightDM.
    + ubuntu/lock_on_suspend.patch
      - Respect Ubuntu's lock-on-suspend setting.
    + ubuntu/gdm.patch
      - as gdm is system-wide and not session-wide, ensure gdm has an ubuntu
        styling by default, not impacting the gnome user session though.
    + ubuntu/background_login.patch
      - Change default background color as we modified the default GDM color
        for our ubuntu session. Change it as well here, still applying the
        background noise loading.
    + ubuntu/gdm_alternatives.patch
      - Add support for GDM3 theme alternatives
    + optional-hot-corner.patch
      - enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    + volume-Add-back-sound-feedback-on-scroll.patch
      - Fix regression causing missing feedback on volume slider scroll
    + main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      - Improve debug JS tracing for crash reports
    + st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch,
      st-scroll-view-Remove-scrollbars-references-on-dispose.patch:
      - Fix crash on theme changes
    + ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      - stop searches when requested from UI
    + magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      - Show monitor scaled cursor when magnifier is enabled

 -- Iain Lane <iain.lane@canonical.com>  Mon, 06 Jan 2020 17:54:48 +0000

gnome-shell (3.34.3-1) unstable; urgency=medium

  * New upstream release
    + polkitAgent: Fix confirming via keyboard when password-less
  * control: Bump mutter BD to 3.34.3. This probably isn't *strictly*
    required, but nevertheless let's keep them in sync.

 -- Iain Lane <laney@debian.org>  Mon, 06 Jan 2020 13:40:57 +0000

gnome-shell (3.34.2-1) unstable; urgency=medium

  * Team upload

  [ Georges Basile Stavracas Neto ]
  * Add gnome-menus to Recommends.
    The files installed by gnome-menus are needed for the functionality of
    suggesting a name for a new folder to work.

  [ Simon McVittie ]
  * d/watch: Only watch for stable releases
  * New upstream release
  * d/gbp.conf: Use upstream/3.34.x branch
  * Add build-dependency on libgnome-desktop-3-dev (>= 3.34.2) for new
    systemd scope functionality
  * Remove Breaks/Conflicts on packages older than Debian 9 (oldstable)
  * Remove unused Lintian override
  * Bump Standards-Version to 4.4.1

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Dec 2019 16:55:02 +0000

gnome-shell (3.34.1+git20191024-1ubuntu1) focal; urgency=medium

  * Merge with Debian. Remaining changes:
    + Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    + Add some Recommends:
      - ubuntu-session (| gnome-session) to have the ubuntu session available
      - xserver-xorg-legacy
      - yaru-theme-gnome-shell for the default ubuntu theming
    + Update debian/gbp.conf with Ubuntu settings
    + gnome-shell-common.install: Install Ubuntu mode
    + gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    + ubuntu/desktop_detect.patch:
      - add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    + ubuntu/smarter_alt_tab.patch:
      - quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    + ubuntu/lightdm-user-switching.patch:
      - Allow user switching when using LightDM.
    + ubuntu/lock_on_suspend.patch
      - Respect Ubuntu's lock-on-suspend setting.
    + ubuntu/gdm.patch
      - as gdm is system-wide and not session-wide, ensure gdm has an ubuntu
        styling by default, not impacting the gnome user session though.
    + ubuntu/background_login.patch
      - Change default background color as we modified the default GDM color
        for our ubuntu session. Change it as well here, still applying the
        background noise loading.
    + ubuntu/gdm_alternatives.patch
      - Add support for GDM3 theme alternatives
    + optional-hot-corner.patch
      - enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    + volume-Add-back-sound-feedback-on-scroll.patch
      - Fix regression causing missing feedback on volume slider scroll
    + main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      - Improve debug JS tracing for crash reports
    + st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch,
      st-scroll-view-Remove-scrollbars-references-on-dispose.patch:
      - Fix crash on theme changes
    + ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      - stop searches when requested from UI
    + magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      - Show monitor scaled cursor when magnifier is enabled

 -- Iain Lane <iain.lane@canonical.com>  Fri, 25 Oct 2019 17:01:12 +0100

gnome-shell (3.34.1+git20191024-1) unstable; urgency=medium

  * New upstream snapshot release
    + Fix some animations using invalid parameters
    + Compute lock timeout fade duration using animations parameters
    + Ensure unredirection is disabled after animations
    + Speed-up overview opening using windows cached centers (LP: #1848009)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 25 Oct 2019 13:36:08 +0100

gnome-shell (3.34.1-1ubuntu1) eoan; urgency=medium

  * Merge with Debian. Remaining changes:
    + Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    + Add some Recommends:
      - ubuntu-session (| gnome-session) to have the ubuntu session available
      - xserver-xorg-legacy
      - yaru-theme-gnome-shell for the default ubuntu theming
    + Update debian/gbp.conf with Ubuntu settings
    + gnome-shell-common.install: Install Ubuntu mode
    + gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    + ubuntu/desktop_detect.patch:
      - add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    + ubuntu/smarter_alt_tab.patch:
      - quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    + ubuntu/lightdm-user-switching.patch:
      - Allow user switching when using LightDM.
    + ubuntu/lock_on_suspend.patch
      - Respect Ubuntu's lock-on-suspend setting.
    + ubuntu/gdm.patch
      - as gdm is system-wide and not session-wide, ensure gdm has an ubuntu
        styling by default, not impacting the gnome user session though.
    + ubuntu/background_login.patch
      - Change default background color as we modified the default GDM color
        for our ubuntu session. Change it as well here, still applying the
        background noise loading.
    + ubuntu/gdm_alternatives.patch
      - Add support for GDM3 theme alternatives
    + optional-hot-corner.patch
      - enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    + volume-Add-back-sound-feedback-on-scroll.patch
      - Fix regression causing missing feedback on volume slider scroll
    + main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      - Improve debug JS tracing for crash reports
    + st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch,
      st-scroll-view-Remove-scrollbars-references-on-dispose.patch:
      - Fix crash on theme changes
    + ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      - stop searches when requested from UI
    + magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      - Show monitor scaled cursor when magnifier is enabled
  * Refresh patches through gbp-pq

 -- Iain Lane <iain.lane@canonical.com>  Wed, 09 Oct 2019 12:18:14 +0100

gnome-shell (3.34.1-1) unstable; urgency=medium

  * New upstream release
    + Allow editing app folder names
    + Do not notify systemd before initialization is complete
    + Don't leak NOTIFY_SOCKET environment variable to applications
    + Fix accidentally skipped animations
    + Fix box-shadow glitch with prerendered resources
    + Fix desktop right click menu appearing in the wrong place if a Terminal
      window is open (LP: #1842910)
    + Fix extra icons appearing in "Frequent" view animation
    + Fix fading out desktop icons (Closes: #940612)
    + Fix "Frequent" view icons disappearing on hover (LP: #1846083)
    + Fix lock-up on X11 when ibus is already running on startup (LP:
      #1845198)
    + Fix screen dimming on idle (LP: #1846941)
    + Fix screenshots and window animations when scaled
    + Fix various regressions with dynamic workspaces
    + Improve performance when enabling/disabling all extensions
    + Make menu animations more consistent
    + Skip property transitions while hidden
    + Support SAE secrets in network agent (LP: #1844422)
  * control: Require mutter 3.34.1

 -- Iain Lane <laney@debian.org>  Wed, 09 Oct 2019 11:20:28 +0100

gnome-shell (3.34.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 14:29:53 +0200

gnome-shell (3.34.0-1ubuntu1) eoan; urgency=medium

  * Merge with Debian. Remaining changes:
    + Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    + Add some Recommends:
      - ubuntu-session (| gnome-session) to have the ubuntu session available
      - xserver-xorg-legacy
      - yaru-theme-gnome-shell for the default ubuntu theming
    + Update debian/gbp.conf with Ubuntu settings
    + gnome-shell-common.install: Install Ubuntu mode
    + gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    + ubuntu/desktop_detect.patch:
      - add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    + ubuntu/smarter_alt_tab.patch:
      - quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    + ubuntu/lightdm-user-switching.patch:
      - Allow user switching when using LightDM.
    + ubuntu/lock_on_suspend.patch
      - Respect Ubuntu's lock-on-suspend setting.
    + ubuntu/gdm.patch
      - as gdm is system-wide and not session-wide, ensure gdm has an ubuntu
        styling by default, not impacting the gnome user session though.
    + ubuntu/background_login.patch
      - Change default background color as we modified the default GDM color
        for our ubuntu session. Change it as well here, still applying the
        background noise loading.
    + ubuntu/gdm_alternatives.patch
      - Add support for GDM3 theme alternatives
    + optional-hot-corner.patch
      - enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    + volume-Add-back-sound-feedback-on-scroll.patch
      - Fix regression causing missing feedback on volume slider scroll
    + main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      - Improve debug JS tracing for crash reports
    + st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch,
      st-scroll-view-Remove-scrollbars-references-on-dispose.patch:
      - Fix crash on theme changes
    + ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      - stop searches when requested from UI
    + magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      - Show monitor scaled cursor when magnifier is enabled

 -- Iain Lane <iain.lane@canonical.com>  Tue, 10 Sep 2019 13:13:52 +0100

gnome-shell (3.34.0-1) experimental; urgency=medium

  * New upstream release
    + Handle startup/shutdown of misc X11 services
    + Fix sound volume mute/unmute
    + Correctly terminate pasted text
  * d/p/volume-Ignore-slider-changes-we-initiated-ourselves.patch: Drop,
    upstream
  * control: Bump mutter Build-Depends and Depends to 3.34.0

 -- Iain Lane <laney@debian.org>  Tue, 10 Sep 2019 10:51:44 +0100

gnome-shell (3.33.92-1ubuntu1) eoan; urgency=medium

  [ Iain Lane ]
  * Merge with Debian. Remaining changes:
    + Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    + Add some Recommends:
      - ubuntu-session (| gnome-session) to have the ubuntu session available
      - xserver-xorg-legacy
      - yaru-theme-gnome-shell for the default ubuntu theming
    + Update debian/gbp.conf with Ubuntu settings
    + gnome-shell-common.install: Install Ubuntu mode
    + gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    + ubuntu/desktop_detect.patch:
      - add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    + ubuntu/smarter_alt_tab.patch:
      - quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    + ubuntu/lightdm-user-switching.patch:
      - Allow user switching when using LightDM.
    + ubuntu/lock_on_suspend.patch
      - Respect Ubuntu's lock-on-suspend setting.
    + ubuntu/gdm.patch
      - as gdm is system-wide and not session-wide, ensure gdm has an ubuntu
        styling by default, not impacting the gnome user session though.
    + ubuntu/background_login.patch
      - Change default background color as we modified the default GDM color
        for our ubuntu session. Change it as well here, still applying the
        background noise loading.
    + ubuntu/gdm_alternatives.patch
      - Add support for GDM3 theme alternatives
    + optional-hot-corner.patch
      - enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    + volume-Add-back-sound-feedback-on-scroll.patch
      - Fix regression causing missing feedback on volume slider scroll
    + main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      - Improve debug JS tracing for crash reports
    + st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch,
      st-scroll-view-Remove-scrollbars-references-on-dispose.patch:
      - Fix crash on theme changes
    + ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      - stop searches when requested from UI
    + magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      - Show monitor scaled cursor when magnifier is enabled
  * Refresh patches

  [ Daniel van Vugt ]
  * background_login.patch: Match 19.10 Yaru purple login screen with noise.
    This way the login animation will appear to expand over the login screen
    (system background) instead of suddenly replacing it.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 05 Sep 2019 18:31:55 +0100

gnome-shell (3.33.92-1) experimental; urgency=medium

  * New upstream release
    + Animate pointer a11y pie timer
    + Fix restarting shell in systemd user session
  * volume-Ignore-slider-changes-we-initiated-ourselves.patch: Cherry-pick.
    volume: Ignore slider changes we initiated ourselves Commit
    21e14bd46f9774e6c0146cb2169d938e782dba3c fixed this for the brightness
    slider, but we have the same problem for volume too. When the volume is
    muted - for example in Settings or via a media key, we update the slider
    to '0' to indicate this visually. But we also actually invoke the slider's
    callback to *set* the volume to zero. That means that the previous level
    is overwritten so it can't be restored when unmuting.  The fix is the same
    - when we update the slider internally ourselves, don't call the signal
    handler.
  * Bump mutter BD to 3.33.92, corresponding to the shell's version
  * control: BD on xwayland <!nocheck>, required for the testsuite
  * control, rules: Run a session bus for the testsuite

 -- Iain Lane <laney@debian.org>  Thu, 05 Sep 2019 18:15:19 +0100

gnome-shell (3.33.91-1ubuntu1) eoan; urgency=medium

  [ Didier Roche ]
  * Read mode extension update and load
  * Avoid hardcoding set of ubuntu mode extensions

  [ Marco Trevisan (Treviño) ]
  * Merge with Debian. Remaining changes:
    + Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    + Add some Recommends:
      - ubuntu-session (| gnome-session) to have the ubuntu session available
      - xserver-xorg-legacy
      - yaru-theme-gnome-shell for the default ubuntu theming
    + Update debian/gbp.conf with Ubuntu settings
    + gnome-shell-common.install: Install Ubuntu mode
    + gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    + ubuntu/desktop_detect.patch:
      - add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    + ubuntu/smarter_alt_tab.patch:
      - quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    + ubuntu/lightdm-user-switching.patch:
      - Allow user switching when using LightDM.
    + ubuntu/lock_on_suspend.patch
      - Respect Ubuntu's lock-on-suspend setting.
    + ubuntu/gdm.patch
      - as gdm is system-wide and not session-wide, ensure gdm has an ubuntu
        styling by default, not impacting the gnome user session though.
    + ubuntu/background_login.patch
      - Change default background color as we modified the default GDM color
        for our ubuntu session. Change it as well here, still applying the
        background noise loading.
    + ubuntu/gdm_alternatives.patch
      - Add support for GDM3 theme alternatives
    + optional-hot-corner.patch
      - enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    + volume-Add-back-sound-feedback-on-scroll.patch
      - Fix regression causing missing feedback on volume slider scroll
    + main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      - Improve debug JS tracing for crash reports
    + st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch,
      st-scroll-view-Remove-scrollbars-references-on-dispose.patch:
      - Fix crash on theme changes
    + ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      - stop searches when requested from UI
    + magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      - Show monitor scaled cursor when magnifier is enabled
  * ubuntu/block_mode_extension_update.patch:
    - Dropped, as can be handled in a nicer way as per upstream changes
  * optional-hot-corner.patch:
    - Dropped as similar implementation is included upstream

  [ Iain Lane ]
  * Bump yaru-theme Breaks. We need an updated version, otherwise (at least)
    the Activities search is broken.
  * Bump Breaks on default shell extensions

 -- Iain Lane <iain.lane@canonical.com>  Sat, 24 Aug 2019 09:08:42 +0100

gnome-shell (3.33.91-1) experimental; urgency=medium

  * New upstream release
    + Fix regression when adjusting brightness
    + Fix pointer a11y timeout animation
    + Add new extensions CLI tool
    + Only track top-level windows
  * control: Bump BDs per upstream, & add BDs for the extension tool

 -- Iain Lane <laney@debian.org>  Fri, 23 Aug 2019 21:05:26 +0100

gnome-shell (3.33.90-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
    + Add option for disabling the hot corner
    + Allow dragging unfocused tiled/maximized windows from top bar
    + Allow to disable window menus via session mode
    + Avoid unnecessary style changes when computing :first/:last-child
    + Call GDM's RegisterSession() after startup (LP: #1798790)
    + Consistently animate new window actions
    + Disable emoji on-screen keyboard support on X11
    + Don't crash for world clock locations with no timezone
    + Don't leak old on-screen keyboard layout groups
    + Fix alt-tab icon size on HiDPI
    + Fix cursor visibility in screen recordings
    + Fix distortion of some image contents
    + Fix ellipsization in dialog subtitles/bodies
    + Fix extended keys popups being hidden by on-screen keyboard
    + Fix glitch of fullscreen window in workspace switch animation
    + Fix keeping actors visible in scrollviews
    + Fix opening window menu
    + Fix style updates for non-background CSS properties
    + Fix tablet button mapping overlay
    + Fix the calculation of the maximum number of app search results
    + Fix top bar being hidden by lock screen
    + Fix unintentional interference between gestures
    + Fix unintentional loop while polkit dialog is active
    + Handle horizontal workspace layout with gestures/animations
    + Handle network interface name changes
    + Implement DND app picker folder management
    + Implement locate-pointer accessibility feature
    + Implement mouse accessibility
    + Improve handling of session mode extensions
    + Include 'sandboxed-app-id' in winodw introspection info
    + Make Clocks/Weather integration work with sandboxed apps
    + Minimize travel distance in overview animation
    + Move some chrome above popup windows
    + Only emit ::style-changed on actual changes
    + Port to libecal-2.0
    + Prepare for optional X11
    + Refine the app menu
    + Refine window preview style
    + Reload search providers when installed applications change
    + Replace Tweener with Clutter animations
    + Rescan icon theme when installed apps changed
    + Set up GJS profiler when GJS_TRACE_FD is set
    + Style fixes and improvements
    + Support startup via systemd user instance
    + Support TCRYPT in mount password dialog
    + Update theme to better match GTK's Adwaita
    + Use more fine-grained levels in battery indicator
  * debian/patches:
    + tweener-Save-handlers-on-target-and-remove-them-on-destro.patch: Refresh
  * debian/control: Bump dependency to mutter 3.33.90 and desktop schemas 3.33.1

  [ Simon McVittie ]
  * d/gnome-shell.bug-control: Include related packages in bug reports

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 13 Aug 2019 11:12:43 +0100

gnome-shell (3.32.2-2ubuntu1) eoan; urgency=medium

  * Merge with Debian. Remaining changes:
    + Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    + Add some Recommends:
      - ubuntu-session (| gnome-session) to have the ubuntu session available
      - xserver-xorg-legacy
      - yaru-theme-gnome-shell for the default ubuntu theming
    + Update debian/gbp.conf with Ubuntu settings
    + gnome-shell-common.install: Install Ubuntu mode
    + gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    + ubuntu/desktop_detect.patch:
      - add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    + ubuntu/smarter_alt_tab.patch:
      - quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    + ubuntu/lightdm-user-switching.patch:
      - Allow user switching when using LightDM.
    + ubuntu/lock_on_suspend.patch
      - Respect Ubuntu's lock-on-suspend setting.
    + ubuntu/gdm.patch
      - as gdm is system-wide and not session-wide, ensure gdm has an ubuntu
        styling by default, not impacting the gnome user session though.
    + ubuntu/background_login.patch
      - Change default background color as we modified the default GDM color
        for our ubuntu session. Change it as well here, still applying the
        background noise loading.
    + ubuntu/gdm_alternatives.patch
      - Add support for GDM3 theme alternatives
    + ubuntu/block_mode_extension_update.patch
      - Don't allow ubuntu mode extension to update
    + optional-hot-corner.patch
      - enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    + volume-Add-back-sound-feedback-on-scroll.patch
      - Fix regression causing missing feedback on volume slider scroll
    + main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      - Improve debug JS tracing for crash reports
    + st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch,
      st-scroll-view-Remove-scrollbars-references-on-dispose.patch:
      - Fix crash on theme changes
    + ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      - stop searches when requested from UI
    + magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      - Show monitor scaled cursor when magnifier is enabled

 -- Iain Lane <iain.lane@canonical.com>  Thu, 27 Jun 2019 18:02:14 +0100

gnome-shell (3.32.2-2) experimental; urgency=medium

  * debian/source_gnome-shell.py:
    + Add more informations that we might need to debug information in the
      apport retracing (LP: #1722886):
      - All the desktop shared gsettings key
      - Mutter gsettings key and version
      - Settings daemon settings key used by the shell
      - ~/.config/monitors.xml
      - Shell's journalctl since it will include errors and JS stacktrace.
  * d/p/boxpointer-Unset-the-sourceActor-on-destruction.patch:
    - Avoid crash on reallocation of dead actors (LP: #1831555)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 27 Jun 2019 17:54:16 +0100

gnome-shell (3.32.2-1ubuntu1) eoan; urgency=medium

  * Merge with Debian. Remaining changes:
    + Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    + Add some Recommends:
      - ubuntu-session (| gnome-session) to have the ubuntu session available
      - xserver-xorg-legacy
      - yaru-theme-gnome-shell for the default ubuntu theming
    + Update debian/gbp.conf with Ubuntu settings
    + gnome-shell-common.install: Install Ubuntu mode
    + gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    + ubuntu/desktop_detect.patch:
      - add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    + ubuntu/smarter_alt_tab.patch:
      - quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    + ubuntu/lightdm-user-switching.patch:
      - Allow user switching when using LightDM.
    + ubuntu/lock_on_suspend.patch
      - Respect Ubuntu's lock-on-suspend setting.
    + ubuntu/gdm.patch
      - as gdm is system-wide and not session-wide, ensure gdm has an ubuntu
        styling by default, not impacting the gnome user session though.
    + ubuntu/background_login.patch
      - Change default background color as we modified the default GDM color
        for our ubuntu session. Change it as well here, still applying the
        background noise loading.
    + ubuntu/gdm_alternatives.patch
      - Add support for GDM3 theme alternatives
    + ubuntu/block_mode_extension_update.patch
      - Don't allow ubuntu mode extension to update
    + optional-hot-corner.patch
      - enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    + volume-Add-back-sound-feedback-on-scroll.patch
      - Fix regression causing missing feedback on volume slider scroll
    + main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      - Improve debug JS tracing for crash reports
    + st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch,
      st-scroll-view-Remove-scrollbars-references-on-dispose.patch:
      - Fix crash on theme changes
    + ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      - stop searches when requested from UI
    + magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      - Show monitor scaled cursor when magnifier is enabled

 -- Iain Lane <iain.lane@canonical.com>  Tue, 21 May 2019 17:40:26 +0100

gnome-shell (3.32.2-1) experimental; urgency=medium

  * New upstream release
    - Fix ellipsization in dialog subtitles/bodies (LP: #1809788)
    - Don't crash for world clock locations with no timezone (LP: #1827953)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 21 May 2019 17:19:41 +0100

gnome-shell (3.32.1-1ubuntu1) eoan; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Merge with debian
    - Update to 3.32.1 upstream version (LP: #1826936)
    - Fixes Icon disappears from favorites (LP: #1822846)
    - Fix applications aren't focused in Wayland session (LP: #1826176)
    remaining changes:
    + Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    + Add some Recommends:
      - ubuntu-session (| gnome-session) to have the ubuntu session available
      - xserver-xorg-legacy
      - yaru-theme-gnome-shell for the default ubuntu theming
    + Update debian/gbp.conf with Ubuntu settings
    + gnome-shell-common.install: Install Ubuntu mode
    + gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    + ubuntu/desktop_detect.patch:
      - add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    + ubuntu/smarter_alt_tab.patch:
      - quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    + ubuntu/lightdm-user-switching.patch:
      - Allow user switching when using LightDM.
    + ubuntu/lock_on_suspend.patch
      - Respect Ubuntu's lock-on-suspend setting.
    + ubuntu/gdm.patch
      - as gdm is system-wide and not session-wide, ensure gdm has an ubuntu
        styling by default, not impacting the gnome user session though.
    + ubuntu/background_login.patch
      - Change default background color as we modified the default GDM color
        for our ubuntu session. Change it as well here, still applying the
        background noise loading.
    + ubuntu/gdm_alternatives.patch
      - Add support for GDM3 theme alternatives
    + ubuntu/block_mode_extension_update.patch
      - Don't allow ubuntu mode extension to update
    + optional-hot-corner.patch
      - enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    + volume-Add-back-sound-feedback-on-scroll.patch
      - Fix regression causing missing feedback on volume slider scroll
    + main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      - Improve debug JS tracing for crash reports
    + st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch,
      st-scroll-view-Remove-scrollbars-references-on-dispose.patch:
      - Fix crash on theme changes
    + ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      - stop searches when requested from UI
    + magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      - Show monitor scaled cursor when magnifier is enabled
  * d/p/magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
    - Handle the no-monitor case (LP: #1826797)

  [ Andrea Azzarone ]
  * d/p/volume-Add-back-sound-feedback-on-scroll.patch: Add missing import

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 01 May 2019 10:23:16 +0100

gnome-shell (3.32.1-1) experimental; urgency=medium

  [ Simon McVittie ]
  * d/rules: Create a temporary HOME, XDG_RUNTIME_DIR for the unit tests.
    This goes some way towards fixing test failures and FTBFS on buster's
    sbuild, as deployed on the s390x buildd.
  * d/.gitignore: Add

  [ Laurent Bigonville ]
  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Mon, 22 Apr 2019 15:45:49 +0200

gnome-shell (3.32.0+git20190410-1ubuntu1) disco; urgency=medium

  * Merging with debian git snapshot (LP: #1820775, LP: #1818790),
    remaining changes:
    + Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    + Add some Recommends:
      - ubuntu-session (| gnome-session) to have the ubuntu session available
      - xserver-xorg-legacy
      - yaru-theme-gnome-shell for the default ubuntu theming
    + Update debian/gbp.conf with Ubuntu settings
    + gnome-shell-common.install: Install Ubuntu mode
    + gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    + ubuntu/desktop_detect.patch:
      - add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    + ubuntu/smarter_alt_tab.patch:
      - quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    + ubuntu/lightdm-user-switching.patch:
      - Allow user switching when using LightDM.
    + ubuntu/lock_on_suspend.patch
      - Respect Ubuntu's lock-on-suspend setting.
    + ubuntu/gdm.patch
      - as gdm is system-wide and not session-wide, ensure gdm has an ubuntu
        styling by default, not impacting the gnome user session though.
    + ubuntu/background_login.patch
      - Change default background color as we modified the default GDM color
        for our ubuntu session. Change it as well here, still applying the
        background noise loading.
    + ubuntu/gdm_alternatives.patch
      - Add support for GDM3 theme alternatives
    + ubuntu/block_mode_extension_update.patch
      - Don't allow ubuntu mode extension to update
    + optional-hot-corner.patch
      - enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    + volume-Add-back-sound-feedback-on-scroll.patch
      - Fix regression causing missing feedback on volume slider scroll
    + main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      - Improve debug JS tracing for crash reports
    + st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch,
      st-scroll-view-Remove-scrollbars-references-on-dispose.patch:
      - Fix crash on theme changes
    + ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      - stop searches when requested from UI
    + magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      - Show monitor scaled cursor when magnifier is enabled
  * d/p/magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
    - Dropped the merged part, kept the fix for cursor scaling.
  * d/p/optional-hot-corner.patch,
    d/p/sessionMode-add-support-for-debugFlags-parameter.patch,
    d/p/ubuntu/lock_on_suspend.patch,
    d/p/ubuntu/resolve_alternate_theme_path.patch:
    - Refreshed.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 10 Apr 2019 20:15:39 -0500

gnome-shell (3.32.0+git20190410-1) experimental; urgency=medium

  * Use debhelper-compat 12 and BD on dh-sequence-{gnome,gir}
  * New upstream release, which includes
    - shell: Fallback on ISO 8601 datetime string for screenshot date info
      (LP: #1796251)
  * BD on the corresponding mutter
  * debian/patches/various: Drop upstream cherry-picks. We had cherry-picked
    the stable branch into Debian patches in the previous upload, but that
    would get out of hand if we carried on.  Instead we are using a tarball
    snapshot. So drop the cherry-picks.

 -- Iain Lane <laney@debian.org>  Wed, 10 Apr 2019 16:36:31 +0100

gnome-shell (3.32.0-1ubuntu2) UNRELEASED; urgency=medium

  * d/p/magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
    - magnifier: Show cursor when magnifier is enabled and scale it to
      match monitor scaling (LP: #1818790)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 27 Mar 2019 16:51:27 +0100

gnome-shell (3.32.0-1ubuntu1) disco; urgency=medium

  * Merge with debian, remaining changes:
    + Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    + Add some Recommends:
      - ubuntu-session (| gnome-session) to have the ubuntu session available
      - xserver-xorg-legacy
      - yaru-theme-gnome-shell for the default ubuntu theming
    + Update debian/gbp.conf with Ubuntu settings
    + gnome-shell-common.install: Install Ubuntu mode
    + gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    + ubuntu/desktop_detect.patch:
      - add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    + ubuntu/smarter_alt_tab.patch:
      - quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    + ubuntu/lightdm-user-switching.patch:
      - Allow user switching when using LightDM.
    + ubuntu/lock_on_suspend.patch
      - Respect Ubuntu's lock-on-suspend setting.
    + ubuntu/gdm.patch
      - as gdm is system-wide and not session-wide, ensure gdm has an ubuntu
        styling by default, not impacting the gnome user session though.
    + ubuntu/background_login.patch
      - Change default background color as we modified the default GDM color
        for our ubuntu session. Change it as well here, still applying the
        background noise loading.
    + ubuntu/gdm_alternatives.patch
      - Add support for GDM3 theme alternatives
    + ubuntu/block_mode_extension_update.patch
      - Don't allow ubuntu mode extension to update
    + optional-hot-corner.patch
      - enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    + volume-Add-back-sound-feedback-on-scroll.patch
      - Fix regression causing missing feedback on volume slider scroll
    + main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      - Improve debug JS tracing for crash reports
    + st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch,
      st-scroll-view-Remove-scrollbars-references-on-dispose.patch:
      - Fix crash on theme changes
    + ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      - stop searches when requested from UI

 -- Iain Lane <iain.lane@canonical.com>  Tue, 12 Mar 2019 13:29:02 +0000

gnome-shell (3.32.0-1) experimental; urgency=medium

  * New upstream release
    + Fix sizing issues in on-screen-keyboard emoji panel
    + Fix test linker failure on Debian/Ubuntu
    + Avoid assertion when sizing fallback app icons from CSS
    + Fix mis-sized menu arrows after texture cache changes
  * debian/patches: Update to master at ede0fd866.  These are all fixes which
    will be in 3.32.1.
    - d/p/build-Add-mutter-s-private-directory-to-libst-s-build-tim.patch:
      Drop, applied upstream.
  * control: Bump mutter BD to 3.32.0

 -- Iain Lane <laney@debian.org>  Tue, 12 Mar 2019 12:50:26 +0000

gnome-shell (3.31.92-1ubuntu1) disco; urgency=medium

  [ Daniel van Vugt ]
  * Update ubuntu/background_login.patch to match the new login screen
    (system background) design from Yaru for a smooth login animation
    (LP: #1813119).

  [ Iain Lane ]
  * Merge with debian, remaining changes:
    + Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    + Add some Recommends:
      - ubuntu-session (| gnome-session) to have the ubuntu session available
      - xserver-xorg-legacy
      - yaru-theme-gnome-shell for the default ubuntu theming
    + Update debian/gbp.conf with Ubuntu settings
    + gnome-shell-common.install: Install Ubuntu mode
    + gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    + ubuntu/desktop_detect.patch:
      - add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    + ubuntu/smarter_alt_tab.patch:
      - quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    + ubuntu/lightdm-user-switching.patch:
      - Allow user switching when using LightDM.
    + ubuntu/lock_on_suspend.patch
      - Respect Ubuntu's lock-on-suspend setting.
    + ubuntu/gdm.patch
      - as gdm is system-wide and not session-wide, ensure gdm has an ubuntu
        styling by default, not impacting the gnome user session though.
    + ubuntu/background_login.patch
      - Change default background color as we modified the default GDM color
        for our ubuntu session. Change it as well here, still applying the
        background noise loading.
    + ubuntu/gdm_alternatives.patch
      - Add support for GDM3 theme alternatives
    + ubuntu/block_mode_extension_update.patch
      - Don't allow ubuntu mode extension to update
    + optional-hot-corner.patch
      - enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    + volume-Add-back-sound-feedback-on-scroll.patch
      - Fix regression causing missing feedback on volume slider scroll
    + main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      - Improve debug JS tracing for crash reports
    + st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch,
      st-scroll-view-Remove-scrollbars-references-on-dispose.patch:
      - Fix crash on theme changes
    + ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      - stop searches when requested from UI
    + debian/patches/ubuntu/background_login.patch:
      - match Yaru theme in the ubuntu session instead of our previous GDM
        background
    + debian/patches/ubuntu/resolve_alternate_theme_path.patch:
      - ensure we resolve finale theme file path to correctly load assets
        under gdm
    + debian/rules:
      - Run dh_translations and work around an issue with Rosetta and plural
        translations
    + Add desktop-icons to the Ubuntu session by default
    + Break nautilus << 3.30. We don't want two things trying to handle the
      desktop.
  * debian/patches/*: Refresh.
      - d/p/st-texture-cache-Cancel-sliced-image-loading-on-target-ac.patch:
        Drop, this is now upstream.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 06 Mar 2019 14:58:20 +0000

gnome-shell (3.31.92-1) experimental; urgency=medium

  * New upstream release
    + Add flags parameter in GrabAccelerators API
    + Always use symbolic user icon in system menu
    + Don't close on-screen-keyboard's language menu on hover
    + Don't let unfullscreen gesture interfere with top bar taps
    + Don't toggle on-screen keyboard on every focus change
    + Fix generating French OSK layout
    + Fix legacy tray icons not responding to events on wayland
    + Fix visual glitch in submenus
    + Hide trailing separator in search results
    + Only consider visible children for :first-child/:last-child
    + Remember choice in inhibit-shortcuts dialogue
    + Support fractional scaling
    + Use borderless round user images
  * control:
    + BD on mutter 3.31.92, the corresponding release for this Shell
    + BD on gjs 1.54, per upstream
  * Drop workaround_crasher_fractional_scaling.patch. Marco says this is
    probaly not required any more, and it was only ever intended to be a
    temporary workaround.
  * Cherry-pick c7342824 to fix `test-theme`
  * Add a BD <!nocheck> on gnome-settings-daemon-common.
    This is required for `test-theme`.

 -- Iain Lane <laney@debian.org>  Wed, 06 Mar 2019 14:39:17 +0000

gnome-shell (3.31.90-1ubuntu1) disco; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Merge with debian, remaining changes:
    + Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    + Add some Recommends:
      - ubuntu-session (| gnome-session) to have the ubuntu session available
      - xserver-xorg-legacy
      - yaru-theme-gnome-shell for the default ubuntu theming
    + Update debian/gbp.conf with Ubuntu settings
    + gnome-shell-common.install: Install Ubuntu mode
    + gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    + ubuntu/desktop_detect.patch:
      - add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    + ubuntu/smarter_alt_tab.patch:
      - quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    + ubuntu/lightdm-user-switching.patch:
      - Allow user switching when using LightDM.
    + ubuntu/lock_on_suspend.patch
      - Respect Ubuntu's lock-on-suspend setting.
    + ubuntu/gdm.patch
      - as gdm is system-wide and not session-wide, ensure gdm has an ubuntu
        styling by default, not impacting the gnome user session though.
    + ubuntu/background_login.patch
      - Change default background color as we modified the default GDM color
        for our ubuntu session. Change it as well here, still applying the
        background noise loading.
    + ubuntu/gdm_alternatives.patch
      - Add support for GDM3 theme alternatives
    + ubuntu/block_mode_extension_update.patch
      - Don't allow ubuntu mode extension to update
    + optional-hot-corner.patch
      - enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    + volume-Add-back-sound-feedback-on-scroll.patch
      - Fix regression causing missing feedback on volume slider scroll
    + st-texture-cache-Cancel-sliced-image-loading-on-target-ac.patch
      - Fix possible crash on cache loading
    + main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      - Improve debug JS tracing for crash reports
    + st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch,
      st-scroll-view-Remove-scrollbars-references-on-dispose.patch:
      - Fix crash on theme changes
    + ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      - stop searches when requested from UI
    + debian/patches/ubuntu/background_login.patch:
      - match Yaru theme in the ubuntu session instead of our previous GDM
        background
    + debian/patches/ubuntu/resolve_alternate_theme_path.patch:
      - ensure we resolve finale theme file path to correctly load assets
        under gdm
    + debian/rules:
      - Run dh_translations and work around an issue with Rosetta and plural
        translations
    + Add desktop-icons to the Ubuntu session by default
    + Break nautilus << 3.30. We don't want two things trying to handle the
      desktop.
  * d/p/st-button-Ignore-pointer-emulated-touch-events.patch,
    d/p/keyboard-Do-not-call-KeyboardManager.holdKeyboard-with-se.patch:
    - Removed, as applied upstreamy
  * d/p/optional-hot-corner.patch,
    d/p/background_login.patch,
    d/p/ubuntu/lightdm-user-switching.patch,
    d/p/ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
    - Updated as per ES6 javascript usage upstream
  * d/p/global-make-possible-to-set-debug-flags-dynamically.patch,
    d/p/main-add-backtrace-crashes-all-and-backtrace-all.patch,
    d/p/main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
    d/p/main-show-an-error-message-on-gnome-shell-crash.patch,
    d/p/sessionMode-add-support-for-debugFlags-parameter.patch,
    d/p/st-button-Ignore-pointer-emulated-touch-events.patch,
    d/p/st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch,
    d/p/st-scroll-view-Remove-scrollbars-references-on-dispose.patch,
    d/p/st-texture-cache-Cancel-sliced-image-loading-on-target-ac.patch,
    d/p/ubuntu/block_mode_extension_update.patch,
    d/p/ubuntu/desktop_detect.patch,
    d/p/ubuntu/gdm_alternatives.patch,
    d/p/ubuntu/lock_on_suspend.patch,
    d/p/ubuntu/resolve_alternate_theme_path.patch,
    d/p/volume-Add-back-sound-feedback-on-scroll.patch:
    - Refreshed

  [ Iain Lane ]
  * Bump ubuntu-dock Breaks version; we need to update for this shell

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 21 Feb 2019 15:46:50 +0000

gnome-shell (3.31.90-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
    - Don't fill journal with osdWindow errors (LP: #1772677)
    - Fix missing icon in keyboard indicator (LP: #1812266)
  * debian/control:
    - Update mutter dependency on mutter-4 3.31.4
    - Drop dependencies on libcanberra and libcanberra-gtk3
  * debian/gnome-shell.install:
    - Remove usr/lib/mozilla as no plugin is shipped anymore
  * debian/gnome-shell.lintian-overrides:
    - Update mutter libraries paths

  [ Laurent Bigonville ]
  * debian/control.in: Recommends ibus, gnome-shell tried to start for years
    now, ibus is required to input emoji these days. (Closes: #815050)

  [ Marco Trevisan (Treviño) ]
  * d/p/Update-Basque-translation.patch,
    d/p/Update-Esperanto-translation.patch,
    d/p/Update-French-translation.patch,
    d/p/Update-Slovak-translation.patch,
    d/p/altSwitcher-Fix-error-when-all-alternatives-are-disabled.patch,
    d/p/dash-destroy-items-s-child-before-tooltip.patch,
    d/p/ibusManager-Don-t-pass-undefined-callback-to-ibus.patch,
    d/p/keyboard-Do-not-call-KeyboardManager.holdKeyboard-with-se.patch,
    d/p/panel-Don-t-allow-opening-hidden-menus-via-keybindings.patch,
    d/p/power-Label-the-PENDING_CHARGE-state-as-Not-Charging.patch,
    d/p/shellActionModes-disable-POPUP-keybindings-in-unlock-scre.patch,
    d/p/st-button-Ignore-pointer-emulated-touch-events.patch:
    - Dropped applied Upstream
  * d/p/tweener-Save-handlers-on-target-and-remove-them-on-destro.patch,
    d/p/workaround_crasher_fractional_scaling.patch:
    - Refreshed
  * debian/control: set breaks on dash-to-panel and dashtodock extensions

  [ Iain Lane ]
  * control: Bump libmutter-dev version to 3.31.90, per upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 21 Feb 2019 09:39:22 +0000

gnome-shell (3.30.2-3) unstable; urgency=medium

  * Team upload
  * d/p/ibusManager-Don-t-pass-undefined-callback-to-ibus.patch:
    Mark as applied on upstream gnome-3-30 branch, and reorder earlier
    in the patch series
  * d/p/panel-Don-t-allow-opening-hidden-menus-via-keybindings.patch,
    d/p/shellActionModes-disable-POPUP-keybindings-in-unlock-scre.patch:
    Add patches from upstream to fix partial lock screen bypass
    (CVE-2019-3820, Closes: #921490)
  * Update patch series from gnome-3-30 branch, up to 3.30.2-11-ge23f4d6c7
    - Fix a crash that can happen when locking the screen
    - Fix a critical when an app is closed while its popup menu is open
    - Ignore pointer emulated touch events, fixing unintended double clicks
      in extensions like dash-to-dock
    - Don't close ibus popup window when an entry field changes its input
      purpose
    - Update translations: eu, eo, sk, fr

 -- Simon McVittie <smcv@debian.org>  Wed, 06 Feb 2019 09:46:52 +0000

gnome-shell (3.30.2-2ubuntu2) disco; urgency=medium

  * debian/patches/ubuntu/smarter_alt_tab.patch:
    Dropped, now that application switching is set to super-tab instead of
    alt-tab
  * Merge debian/patches/ubuntu/gdm.patch and
    debian/patches/ubuntu/gdm_alternatives.patch:
    - gdm_alternatives was a patch on a patch, merged them and remove
      gdm.patch

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 07 Feb 2019 11:51:47 +0100

gnome-shell (3.30.2-2ubuntu1) disco; urgency=medium

  * Merge with debian, remaining changes:
    + Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    + Add some Recommends:
      - ubuntu-session (| gnome-session) to have the ubuntu session available
      - xserver-xorg-legacy
      - yaru-theme-gnome-shell for the default ubuntu theming
    + Update debian/gbp.conf with Ubuntu settings
    + gnome-shell-common.install: Install Ubuntu mode
    + gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    + ubuntu/desktop_detect.patch:
      - add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    + ubuntu/smarter_alt_tab.patch:
      - quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    + ubuntu/lightdm-user-switching.patch:
      - Allow user switching when using LightDM.
    + ubuntu/lock_on_suspend.patch
      - Respect Ubuntu's lock-on-suspend setting.
    + ubuntu/gdm.patch
      - as gdm is system-wide and not session-wide, ensure gdm has an ubuntu
        styling by default, not impacting the gnome user session though.
    + ubuntu/background_login.patch
      - Change default background color as we modified the default GDM color
        for our ubuntu session. Change it as well here, still applying the
        background noise loading.
    + ubuntu/gdm_alternatives.patch
      - Add support for GDM3 theme alternatives
    + ubuntu/block_mode_extension_update.patch
      - Don't allow ubuntu mode extension to update
    + optional-hot-corner.patch
      - enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    + volume-Add-back-sound-feedback-on-scroll.patch
      - Fix regression causing missing feedback on volume slider scroll
    + st-texture-cache-Cancel-sliced-image-loading-on-target-ac.patch
      - Fix possible crash on cache loading
    + main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      - Improve debug JS tracing for crash reports
    + st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch,
      st-scroll-view-Remove-scrollbars-references-on-dispose.patch:
      - Fix crash on theme changes
    + ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      - stop searches when requested from UI
    + keyboard-Do-not-call-KeyboardManager.holdKeyboard-with-se.patch:
      - Cherry-pick upstream commit to prevent focus stealing on password fields
        in firefox when ibus is used
    + debian/patches/ubuntu/background_login.patch:
      - match Yaru theme in the ubuntu session instead of our previous GDM
        background
    + debian/patches/ubuntu/resolve_alternate_theme_path.patch:
      - ensure we resolve finale theme file path to correctly load assets
        under gdm
    + debian/patches/st-button-Ignore-pointer-emulated-touch-events.patch:
      - Don't emit two click events on touch under X11
    + debian/rules:
      - Run dh_translations and work around an issue with Rosetta and plural
        translations
    + Add desktop-icons to the Ubuntu session by default
    + Break nautilus << 3.30. We don't want two things trying to handle the
      desktop.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 25 Jan 2019 13:24:52 +0000

gnome-shell (3.30.2-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

  [ Marco Trevisan (Treviño) ]
  * d/p/power-Label-the-PENDING_CHARGE-state-as-Not-Charging.patch:
    - Label the PENDING_CHARGE state as "Not Charging" (LP: #1745032)
  * d/p/ibusManager-Don-t-pass-undefined-callback-to-ibus.patch:
    - Fix missing icon in keyboard indicator (LP: #1812266)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 25 Jan 2019 11:52:36 +0000

gnome-shell (3.30.2-1ubuntu1) disco; urgency=medium

  * Merge with debian, remaining changes:
    + Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    + Add some Recommends:
      - ubuntu-session (| gnome-session) to have the ubuntu session available
      - xserver-xorg-legacy
      - yaru-theme-gnome-shell for the default ubuntu theming
    + Update debian/gbp.conf with Ubuntu settings
    + gnome-shell-common.install: Install Ubuntu mode
    + gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    + ubuntu/desktop_detect.patch:
      - add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    + ubuntu/smarter_alt_tab.patch:
      - quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    + ubuntu/lightdm-user-switching.patch:
      - Allow user switching when using LightDM.
    + ubuntu/lock_on_suspend.patch
      - Respect Ubuntu's lock-on-suspend setting.
    + ubuntu/gdm.patch
      - as gdm is system-wide and not session-wide, ensure gdm has an ubuntu
        styling by default, not impacting the gnome user session though.
    + ubuntu/background_login.patch
      - Change default background color as we modified the default GDM color
        for our ubuntu session. Change it as well here, still applying the
        background noise loading.
    + ubuntu/gdm_alternatives.patch
      - Add support for GDM3 theme alternatives
    + ubuntu/block_mode_extension_update.patch
      - Don't allow ubuntu mode extension to update
    + optional-hot-corner.patch
      - enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    + volume-Add-back-sound-feedback-on-scroll.patch
      - Fix regression causing missing feedback on volume slider scroll
    + st-texture-cache-Cancel-sliced-image-loading-on-target-ac.patch
      - Fix possible crash on cache loading
    + main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      - Improve debug JS tracing for crash reports
    + st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch,
      st-scroll-view-Remove-scrollbars-references-on-dispose.patch:
      - Fix crash on theme changes
    + ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      - stop searches when requested from UI
    + keyboard-Do-not-call-KeyboardManager.holdKeyboard-with-se.patch:
      - Cherry-pick upstream commit to prevent focus stealing on password fields
        in firefox when ibus is used
    + debian/patches/ubuntu/background_login.patch:
      - match Yaru theme in the ubuntu session instead of our previous GDM
        background
    + debian/patches/ubuntu/resolve_alternate_theme_path.patch:
      - ensure we resolve finale theme file path to correctly load assets
        under gdm
    + debian/patches/st-button-Ignore-pointer-emulated-touch-events.patch:
      - Don't emit two click events on touch under X11
    + debian/rules:
      - Run dh_translations and work around an issue with Rosetta and plural
        translations
    + Add desktop-icons to the Ubuntu session by default
    + Break nautilus << 3.30. We don't want two things trying to handle the
      desktop.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 11 Jan 2019 18:09:26 +0000

gnome-shell (3.30.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Drop patches that came from upstream gnome-3-30

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Nov 2018 09:30:03 +0000

gnome-shell (3.30.1-3) unstable; urgency=medium

  * Team upload

  [ Iain Lane ]
  * debian/gbp.conf: Update to pkg-gnome's recommended settings
  * Run tests with "xvfb-run -a" instead of plain xvfb-run

  [ Jeremy Bicha ]
  * Set update-notifier's notify-reboot-required flag
    when updating this package

  [ Simon McVittie ]
  * d/patches: Update to upstream commit 3.30.1-16-ge55bdb0fb from
    gnome-3-30 branch
  * Make the postinst succeed if update-notifier is not installed or fails
  * Also signal via /var/run/reboot-required, as used by
    unattended-upgrades

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Nov 2018 09:55:55 +0000

gnome-shell (3.30.1-2ubuntu4) disco; urgency=medium

  * Add desktop-icons to the Ubuntu session by default
  * Break nautilus << 3.30. We don't want two things trying to handle the
    desktop.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 17 Dec 2018 12:22:32 +0000

gnome-shell (3.30.1-2ubuntu3) disco; urgency=medium

  * Cherry-pick upstream commit to prevent focus stealing on password fields
    in firefox when ibus is used (LP: #1765304)

 -- Iain Lane <iain.lane@canonical.com>  Wed, 05 Dec 2018 12:53:32 +0000

gnome-shell (3.30.1-2ubuntu2) disco; urgency=medium

  [ Didier Roche ]
  * debian/patches/ubuntu/background_login.patch:
    - match Yaru theme in the ubuntu session instead of our previous GDM
      background (LP: #1789356)
  * debian/patches/ubuntu/resolve_alternate_theme_path.patch:
    - ensure we resolve finale theme file path to correctly load assets
      under gdm (LP: #1798747)

  [ Marco Trevisan (Treviño) ]
  * debian/patches/st-button-Ignore-pointer-emulated-touch-events.patch:
    - Don't emit two click events on touch under X11 (LP: #1745888)

 -- Iain Lane <laney@debian.org>  Wed, 07 Nov 2018 11:05:30 +0000

gnome-shell (3.30.1-2ubuntu1) cosmic; urgency=medium

  * Merge with debian (LP: #1796837), remaining changes:
    + Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    + Add some Recommends:
      - ubuntu-session (| gnome-session) to have the ubuntu session available
      - xserver-xorg-legacy
      - yaru-theme-gnome-shell for the default ubuntu theming
    + Update debian/gbp.conf with Ubuntu settings
    + gnome-shell-common.install: Install Ubuntu mode
    + gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    + ubuntu/desktop_detect.patch:
      - add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    + ubuntu/smarter_alt_tab.patch:
      - quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    + ubuntu/lightdm-user-switching.patch:
      - Allow user switching when using LightDM.
    + ubuntu/lock_on_suspend.patch
      - Respect Ubuntu's lock-on-suspend setting.
    + ubuntu/gdm.patch
      - as gdm is system-wide and not session-wide, ensure gdm has an ubuntu
        styling by default, not impacting the gnome user session though.
    + ubuntu/background_login.patch
      - Change default background color as we modified the default GDM color
        for our ubuntu session. Change it as well here, still applying the
        background noise loading.
    + ubuntu/gdm_alternatives.patch
      - Add support for GDM3 theme alternatives
    + ubuntu/block_mode_extension_update.patch
      - Don't allow ubuntu mode extension to update
    + optional-hot-corner.patch
      - enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    + volume-Add-back-sound-feedback-on-scroll.patch
      - Fix regression causing missing feedback on volume slider scroll
    + st-texture-cache-Cancel-sliced-image-loading-on-target-ac.patch
      - Fix possible crash on cache loading
    + main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      - Improve debug JS tracing for crash reports
    + st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch,
      st-scroll-view-Remove-scrollbars-references-on-dispose.patch:
      - Fix crash on theme changes
    + ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      - stop searches when requested from UI
    + debian/rules:
      - Run dh_translations and work around an issue with Rosetta and plural
        translations
  * js-main-Throw-error-if-no-valid-default-stylesheet-is-fou.patch,
    viewSelector-Cancel-search-on-overview-hidden.patch
    search-Cancel-search-provider-operations-on-clear.patch
    search-Ignore-search-provider-results-metas-if-search-is-.patch: Dropped,
    applied upstream.
  * ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
    Refreshed.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 10 Oct 2018 09:52:13 +0100

gnome-shell (3.30.1-2) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Don't ignore test failures
  * Drop unneeded --buildsystem=meson
  * Drop unneeded override_dh_install

 -- Simon McVittie <smcv@debian.org>  Tue, 09 Oct 2018 12:15:00 +0100

gnome-shell (3.30.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Drop patches that were applied upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 09 Oct 2018 10:24:16 +0100

gnome-shell (3.30.0-3ubuntu1) cosmic; urgency=medium

  * Merge with debian, remaining changes:
    + Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    + Add some Recommends:
      - ubuntu-session (| gnome-session) to have the ubuntu session available
      - xserver-xorg-legacy
      - yaru-theme-gnome-shell for the default ubuntu theming
    + Update debian/gbp.conf with Ubuntu settings
    + gnome-shell-common.install: Install Ubuntu mode
    + gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    + ubuntu/desktop_detect.patch:
      - add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    + ubuntu/smarter_alt_tab.patch:
      - quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    + ubuntu/lightdm-user-switching.patch:
      - Allow user switching when using LightDM.
    + ubuntu/lock_on_suspend.patch
      - Respect Ubuntu's lock-on-suspend setting.
    + ubuntu/gdm.patch
      - as gdm is system-wide and not session-wide, ensure gdm has an ubuntu
        styling by default, not impacting the gnome user session though.
    + ubuntu/background_login.patch
      - Change default background color as we modified the default GDM color
        for our ubuntu session. Change it as well here, still applying the
        background noise loading.
    + ubuntu/gdm_alternatives.patch
      - Add support for GDM3 theme alternatives
    + ubuntu/block_mode_extension_update.patch
      - Don't allow ubuntu mode extension to update
    + optional-hot-corner.patch
      - enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    + volume-Add-back-sound-feedback-on-scroll.patch
      - Fix regression causing missing feedback on volume slider scroll
    + st-texture-cache-Cancel-sliced-image-loading-on-target-ac.patch
      - Fix possible crash on cache loading
    + js-ui-Choose-some-actors-to-cache-on-the-GPU.patch
      - Improve rendering of shell elements moving rendering to GPU
    + main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      - Improve debug JS tracing for crash reports
    + st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch,
      st-scroll-view-Remove-scrollbars-references-on-dispose.patch:
      - Fix crash on theme changes
    + js-main-Throw-error-if-no-valid-default-stylesheet-is-fou.patch:
      - Show errors if no stylesheet is found
    + search-Cancel-search-provider-operations-on-clear.patch,
      search-Ignore-search-provider-results-metas-if-search-is-.patch,
      viewSelector-Cancel-search-on-overview-hidden.patch,
      search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      - Add support for cancelling remote search providers when the overlay
        is closed (and actually stop searches when requested from UI
    + debian/rules:
      - Run dh_translations and work around an issue with Rosetta and plural
        translations
      - Run dh_install with --fail-missing
  * Reorder patch series to put Ubuntu patches last

 -- Iain Lane <iain.lane@canonical.com>  Mon, 01 Oct 2018 13:45:42 +0100

gnome-shell (3.30.0-3) unstable; urgency=medium

  * Backport the patches recommended by upstream for 3.30 (Closes: #904560)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 30 Sep 2018 23:23:25 +0200

gnome-shell (3.30.0-2) unstable; urgency=medium

  * Team upload
  * d/p/build-Remove-obsolete-soup-dependency.patch,
    d/p/shell-Fix-list-of-GIR-includes.patch:
    Add proposed patch from upstream to fix missing captions on password
    prompts when used with gjs 1.54

 -- Simon McVittie <smcv@debian.org>  Thu, 20 Sep 2018 11:26:04 +0100

gnome-shell (3.30.0-1ubuntu2) cosmic; urgency=medium

  * ubuntu/desktop_detect.patch:
    + Added missing misc/desktop.js to pref's gresource.xml (LP: #1790996)

 -- Shem Pasamba <shemgp@gmail.com>  Thu, 06 Sep 2018 16:41:39 +0800

gnome-shell (3.30.0-1ubuntu1) cosmic; urgency=medium

  * Merge with debian, remaining changes:
    + Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    + Add some Recommends:
      - ubuntu-session (| gnome-session) to have the ubuntu session available
      - xserver-xorg-legacy
      - yaru-theme-gnome-shell for the default ubuntu theming
    + Update debian/gbp.conf with Ubuntu settings
    + gnome-shell-common.install: Install Ubuntu mode
    + gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    + ubuntu/desktop_detect.patch:
      - add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    + ubuntu/smarter_alt_tab.patch:
      - quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    + ubuntu/lightdm-user-switching.patch:
      - Allow user switching when using LightDM.
    + ubuntu/lock_on_suspend.patch
      - Respect Ubuntu's lock-on-suspend setting.
    + ubuntu/gdm.patch
      - as gdm is system-wide and not session-wide, ensure gdm has an ubuntu
        styling by default, not impacting the gnome user session though.
    + ubuntu/background_login.patch
      - Change default background color as we modified the default GDM color
        for our ubuntu session. Change it as well here, still applying the
        background noise loading.
    + ubuntu/gdm_alternatives.patch
      - Add support for GDM3 theme alternatives
    + ubuntu/block_mode_extension_update.patch
      - Don't allow ubuntu mode extension to update
    + optional-hot-corner.patch
      - enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    + volume-Add-back-sound-feedback-on-scroll.patch
      - Fix regression causing missing feedback on volume slider scroll
    + st-texture-cache-Cancel-sliced-image-loading-on-target-ac.patch
      - Fix possible crash on cache loading
    + js-ui-Choose-some-actors-to-cache-on-the-GPU.patch
      - Improve rendering of shell elements moving rendering to GPU
    + main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      - Improve debug JS tracing for crash reports
    + st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch,
      st-scroll-view-Remove-scrollbars-references-on-dispose.patch:
      - Fix crash on theme changes
    + js-main-Throw-error-if-no-valid-default-stylesheet-is-fou.patch:
      - Show errors if no stylesheet is found
    + search-Cancel-search-provider-operations-on-clear.patch,
      search-Ignore-search-provider-results-metas-if-search-is-.patch,
      viewSelector-Cancel-search-on-overview-hidden.patch,
      search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      - Add support for cancelling remote search providers when the overlay
        is closed (and actually stop searches when requested from UI
    + debian/rules:
      - Run dh_translations and work around an issue with Rosetta and plural
        translations
      - Run dh_install with --fail-missing

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 04 Sep 2018 19:20:58 +0200

gnome-shell (3.30.0-1) unstable; urgency=medium

  [ Didier Roche ]
  * New upstream release
  * Build-depend on mutter 3.30.0

  [ Iain Lane ]
  * Merge experimental branch back into master, and update all the references
    accordingly. This upload is going to unstable.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 05 Sep 2018 12:06:24 +0100

gnome-shell (3.29.92-1ubuntu1) cosmic; urgency=medium

  * Merge with debian, remaining changes:
    + Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    + Add some Recommends:
      - ubuntu-session (| gnome-session) to have the ubuntu session available
      - xserver-xorg-legacy
      - yaru-theme-gnome-shell for the default ubuntu theming
    + Update debian/gbp.conf with Ubuntu settings
    + gnome-shell-common.install: Install Ubuntu mode
    + gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    + ubuntu/desktop_detect.patch:
      - add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    + ubuntu/smarter_alt_tab.patch:
      - quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    + ubuntu/lightdm-user-switching.patch:
      - Allow user switching when using LightDM.
    + ubuntu/lock_on_suspend.patch
      - Respect Ubuntu's lock-on-suspend setting.
    + ubuntu/gdm.patch
      - as gdm is system-wide and not session-wide, ensure gdm has an ubuntu
        styling by default, not impacting the gnome user session though.
    + ubuntu/background_login.patch
      - Change default background color as we modified the default GDM color
        for our ubuntu session. Change it as well here, still applying the
        background noise loading.
    + ubuntu/gdm_alternatives.patch
      - Add support for GDM3 theme alternatives
    + ubuntu/block_mode_extension_update.patch
      - Don't allow ubuntu mode extension to update
    + optional-hot-corner.patch
      - enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    + volume-Add-back-sound-feedback-on-scroll.patch
      - Fix regression causing missing feedback on volume slider scroll
    + st-texture-cache-Cancel-sliced-image-loading-on-target-ac.patch
      - Fix possible crash on cache loading
    + js-ui-Choose-some-actors-to-cache-on-the-GPU.patch
      - Improve rendering of shell elements moving rendering to GPU
    + main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      - Improve debug JS tracing for crash reports
    + st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch,
      st-scroll-view-Remove-scrollbars-references-on-dispose.patch:
      - Fix crash on theme changes
    + js-main-Throw-error-if-no-valid-default-stylesheet-is-fou.patch:
      - Show errors if no stylesheet is found
    + debian/rules:
      - Run dh_translations and work around an issue with Rosetta and plural
        translations
      - Run dh_install with --fail-missing
  * Refresh patches
  * d/p/st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch:
    - Updated as per upstream review
  * d/p/js-ui-Choose-some-actors-to-cache-on-the-GPU.patch:
    - Removed (applied upstream)
  * d/p/search-Cancel-search-provider-operations-on-clear.patch,
    d/p/search-Ignore-search-provider-results-metas-if-search-is-.patch,
    d/p/viewSelector-Cancel-search-on-overview-hidden.patch,
    d/p/ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
    - Add support for cancelling remote search providers when the overlay
      is closed (and actually stop searches when requested from UI, LP: #1756826)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 30 Aug 2018 17:59:08 -0500

gnome-shell (3.29.92-1) experimental; urgency=medium

  * Team upload

  [ Marco Trevisan (Treviño) ]
  * New upstream development release
  * Build-depend on mutter 3.29.92

  [ Simon McVittie ]
  * Standards-Version: 4.2.1 (no changes required)
  * Add Breaks on older versions of extensions that needed updates for
    this Shell version
    - gnome-shell-extension-autohidetopbar (#905111)
    - gnome-shell-extension-caffeine (#905108)
    - gnome-shell-extension-dashtodock (#905106)
    - gnome-shell-extension-top-icons-plus (#905115)
  * Add Breaks on extensions that still need updates for this version,
    using versions that assume they will be fixed in their next NMU or MU
    - gnome-shell-extension-dash-to-panel (#905110)
    - gnome-shell-extension-multi-monitors (#905114)
    - gnome-shell-extension-pixelsaver (#905109)
    - gnome-shell-extension-taskbar (#905113)
    - gnome-shell-extension-workspaces-to-dock (#905112)
    - gnome-shell-pomodoro (#905107)

 -- Simon McVittie <smcv@debian.org>  Thu, 30 Aug 2018 09:20:35 +0100

gnome-shell (3.29.91-1) experimental; urgency=medium

  * Team upload
  * New upstream development release
  * Build-depend on mutter 3.29.91
  * Build-depend on Meson 0.47.0
  * Rebase patch series, dropping patches that were applied upstream
  * Normalize package lists with wrap-and-sort -ab
  * d/gnome-shell-common.install: Remove commented-out entry
  * Standards-Version: 4.2.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Aug 2018 21:32:20 +0100

gnome-shell (3.29.90-2ubuntu1) cosmic; urgency=medium

  * Merge with debian, remaining changes
    + Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    + Add some Recommends:
      - ubuntu-session (| gnome-session) to have the ubuntu session available
      - xserver-xorg-legacy
    + Update debian/gbp.conf with Ubuntu settings
    + gnome-shell-common.install: Install Ubuntu mode
    + gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    + 50_add_ubuntu_desktop_detect.patch
      - add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    + 71_smarter_alt_tab.patch
      - quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    + optional-hot-corner.patch
      - enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    + ubuntu-lightdm-user-switching.patch
      - Allow user switching when using LightDM.
    + ubuntu_lock_on_suspend.patch
      - Respect Ubuntu's lock-on-suspend setting.
    + ubuntu_gdm.patch
      - as gdm is system-wide and not session-wide, ensure gdm has an ubuntu
        styling by default, not impacting the gnome user session though.
    + ubuntu_background_login.patch
      - Change default background color as we modified the default GDM color
        for our ubuntu session. Change it as well here, still applying the
        background noise loading.
    + ubuntu_gdm_alternatives.patch
      - Add support for GDM3 theme alternatives
    + ubuntu_block_mode_extension_update.patch
      - Don't allow ubuntu mode extension to update
    + volume-Add-back-sound-feedback-on-scroll.patch
      - Fix regression causing missing feedback on volume slider scroll
    + st-texture-cache-Cancel-sliced-image-loading-on-target-ac.patch
      - Fix possible crash on cache loading
    + js-ui-Choose-some-actors-to-cache-on-the-GPU.patch
      - Improve rendering of shell elements moving rendering to GPU
    + debian/rules:
      - Run dh_translations and work around an issue with Rosetta and plural
        translations
      - Run dh_install with fail-missing
  * d/p/ubuntu_background_login.patch,
    d/p/ubuntu_block_mode_extension_update.patch,
    d/p/50_add_ubuntu_desktop_detect.patch,
    d/p/ubuntu_gdm.patch,
    d/p/ubuntu_gdm_alternatives.patch,
    d/p/ubuntu-lightdm-user-switching.patch,
    d/p/ubuntu_lock_on_suspend.patch,
    d/p/71_smarter_alt_tab.patch:
    - Using Gbp-Pq Topic to ubuntu (so they get moved to debian/patches/ubuntu)
  * d/p/main-show-a-critical-message-on-gnome-shell-crash.patch,
    d/p/global-make-possible-to-set-debug-flags-dynamically.patch,
    d/p/main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
    d/p/main-add-backtrace-crashes-all-and-backtrace-all.patch,
    d/p/sessionMode-add-support-for-debugFlags-parameter.patch:
    - Allow to get better debug informations on crashes, and in case interactive
      user informations
  * d/p/st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch,
    d/p/st-scroll-view-Remove-scrollbars-references-on-dispose.patch:
    - Handle NULL scroll bars in st-scroll-view (LP: #1725312)
  * d/p/js-main-Throw-error-if-no-valid-default-stylesheet-is-fou.patch:
    - Be informative if gnome-shell tries to load an invalid default theme
  * debian/ubuntu-session-mods/ubuntu.json:
    - Enable JS stacktrace printing on gnome-shell crashes using debugFlags

  [ Didier Roche ]
  * Remove ubuntu.css and related assets:
    - Don't install them anymore, as we rely on Yaru as our default theme.
    - Remove older alternative on upgrades to this version and removals.
  * Set Yaru theme as default for the ubuntu mod (LP: #1783571)
  * Set default gdm theme as upstream GDM. Will be overriden in the Yaru
    package.

  [ Iain Lane ]
  * debian/control{,.in}: Make gnome-shell-common Recommend
    yaru-theme-gnome-shell, since we reference its css file in our
    styleSheetName.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 17 Aug 2018 14:38:47 +0100

gnome-shell (3.29.90-2) experimental; urgency=medium

  * Team upload
  * Build-depend on GLib 2.57.2 for the new approach to overriding
    GSettings per desktop
  * d/p/Update-Brazilian-Portuguese-translation.patch,
    d/p/showOSD-Fix-handling-of-defined-falsy-parameters.patch,
    d/p/data-Fix-comment-in-schema.patch,
    d/p/workspace-Fix-infinite-loop-when-finding-parent-window-of.patch,
    d/p/workspace-Simplify-detecting-added-dialogs-after-closing-.patch,
    d/p/tools-fix-XDG-desktop-syntax-in-gnome-shell-overrides-mig.patch,
    d/p/Updated-Slovenian-translation.patch,
    d/p/keyboard-defer-position-changed-till-we-have-a-rect.patch,
    d/p/keyboard-Refactor-code-resetting-IM-on-window-drags.patch:
    Update to upstream master branch at 3.29.90-9-g6b610b26f
  * d/p/schema-Fix-XML-syntax.patch:
    Drop, replaced by functionally equivalent
    d/p/data-Fix-comment-in-schema.patch

 -- Simon McVittie <smcv@debian.org>  Sat, 04 Aug 2018 16:32:57 +0100

